"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.actionBarHeight = void 0;
const withStyles_1 = require("../../core/withStyles");
exports.actionBarHeight = 68;
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        width: '100%',
        height: exports.actionBarHeight,
        paddingLeft: theme.spacing(4),
        paddingRight: theme.spacing(4),
        display: 'flex',
        alignItems: 'center',
        flexShrink: 0,
        backgroundColor: theme.palette.background.default,
        color: theme.palette.text.primary,
        [theme.breakpoints.down('xs')]: {
            paddingLeft: theme.spacing(2),
            paddingRight: theme.spacing(2),
        },
    },
    condensed: {
        paddingLeft: theme.spacing(2),
        paddingRight: theme.spacing(2),
    },
    autoHeight: {
        height: 'auto',
    },
});
exports.default = styles;
//# sourceMappingURL=ActionBar.styles.js.map