"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const ActionBar_styles_1 = __importDefault(require("./ActionBar.styles"));
const ActionBarAction_1 = __importDefault(require("./ActionBarAction"));
const ActionBarSelect_1 = __importDefault(require("./ActionBarSelect"));
const ActionBarSelectOption_1 = __importDefault(require("./ActionBarSelectOption"));
const ActionBarInput_1 = __importDefault(require("./ActionBarInput"));
const ActionBar = ({ className, variant = 'default', size = 'small', children, }) => {
    const classes = (0, ActionBar_styles_1.default)();
    return ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, variant === 'footer' && classes.footer, variant === 'floating' && classes.floating, size === 'medium' && classes.medium, size === 'large' && classes.large, className) }, { children: children }), void 0));
};
exports.ActionBar = ActionBar;
exports.default = Object.assign(exports.ActionBar, {
    Action: ActionBarAction_1.default,
    Select: ActionBarSelect_1.default,
    SelectOption: ActionBarSelectOption_1.default,
    Input: ActionBarInput_1.default,
});
//# sourceMappingURL=ActionBar.js.map