"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const ActionBarInput_styles_1 = __importDefault(require("./ActionBarInput.styles"));
const ActionBarInput = ({ className, icon, label, value, type, disabled, maxWidth, autoFocus, onClick, onChange, onBlur, }) => {
    const classes = (0, ActionBarInput_styles_1.default)();
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, className), style: { maxWidth } }, { children: [(0, jsx_runtime_1.jsx)("input", { className: (0, classnames_1.default)(classes.input, icon && classes.inputWithIcon), placeholder: label, value: value, type: type, disabled: disabled, onClick: onClick, onChange: (event) => {
                    if (onChange) {
                        onChange(event.target.value);
                    }
                }, onBlur: onBlur, autoFocus: autoFocus }, void 0), icon && (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.icon }, { children: icon }), void 0)] }), void 0));
};
exports.ActionBarInput = ActionBarInput;
exports.default = exports.ActionBarInput;
//# sourceMappingURL=ActionBarInput.js.map