"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarSelect = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ClickAwayListener_1 = __importDefault(require("@material-ui/core/ClickAwayListener"));
const Close_1 = __importDefault(require("@material-ui/icons/Close"));
const Grow_1 = __importDefault(require("@material-ui/core/Grow"));
const Paper_1 = __importDefault(require("@material-ui/core/Paper"));
const Popper_1 = __importDefault(require("@material-ui/core/Popper"));
const MenuList_1 = __importDefault(require("@material-ui/core/MenuList"));
const React = __importStar(require("react"));
const ActionBarAction_1 = __importDefault(require("./ActionBarAction"));
const ActionBarSelect_styles_1 = __importDefault(require("./ActionBarSelect.styles"));
const ActionBarSelect = ({ icon, label, disabled, open = false, onOpen = () => { }, children, }) => {
    const classes = (0, ActionBarSelect_styles_1.default)();
    const anchorRef = React.useRef(null);
    const prevOpen = React.useRef(open);
    React.useEffect(() => {
        if (prevOpen.current === true && open === false) {
            // @ts-ignore
            anchorRef.current.focus();
        }
        prevOpen.current = open;
    }, [open]);
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(ActionBarAction_1.default, { ref: anchorRef, icon: open ? (0, jsx_runtime_1.jsx)(Close_1.default, {}, void 0) : icon, label: label, disabled: disabled, selected: open, onClick: () => onOpen(!open) }, void 0), (0, jsx_runtime_1.jsx)(Popper_1.default, Object.assign({ className: classes.dropdown, open: open, anchorEl: anchorRef.current, placement: "bottom", transition: true, disablePortal: true }, { children: ({ TransitionProps, placement }) => ((0, jsx_runtime_1.jsx)(Grow_1.default, Object.assign({}, TransitionProps, { style: {
                        transformOrigin: placement === 'bottom' ? 'left top' : 'left bottom',
                    } }, { children: (0, jsx_runtime_1.jsx)(Paper_1.default, Object.assign({ className: classes.paper, elevation: 3 }, { children: (0, jsx_runtime_1.jsx)(ClickAwayListener_1.default, Object.assign({ onClickAway: () => onOpen(false) }, { children: (0, jsx_runtime_1.jsx)(MenuList_1.default, Object.assign({ className: classes.menuList, autoFocusItem: open }, { children: children }), void 0) }), void 0) }), void 0) }), void 0)) }), void 0)] }, void 0));
};
exports.ActionBarSelect = ActionBarSelect;
exports.default = exports.ActionBarSelect;
//# sourceMappingURL=ActionBarSelect.js.map