"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertIcon = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const Error_1 = __importDefault(require("@material-ui/icons/Error"));
const Icon_1 = __importDefault(require("../Icon"));
const withStyles_1 = __importDefault(require("../withStyles"));
const AlertIcon_styles_1 = __importDefault(require("./AlertIcon.styles"));
const AlertIcon = ({ color = 'error', classes, className, }) => {
    if (color === 'error') {
        return (0, jsx_runtime_1.jsx)(Error_1.default, { className: (0, classnames_1.default)(classes.icon, classes.error, className) }, void 0);
    }
    if (color === 'warning') {
        return ((0, jsx_runtime_1.jsx)(Error_1.default, { className: (0, classnames_1.default)(classes.icon, classes.warning, className) }, void 0));
    }
    return ((0, jsx_runtime_1.jsx)(Icon_1.default, { icon: "alert", className: (0, classnames_1.default)(classes.icon, classes.default, className) }, void 0));
};
exports.AlertIcon = AlertIcon;
exports.default = (0, withStyles_1.default)(AlertIcon_styles_1.default)(exports.AlertIcon);
//# sourceMappingURL=AlertIcon.js.map