"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.App = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const CssBaseline_1 = __importDefault(require("@material-ui/core/CssBaseline"));
const React = __importStar(require("react"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const withThemeSelector_1 = __importDefault(require("../../core/withThemeSelector"));
const App_styles_1 = __importDefault(require("./App.styles"));
const AppContext_1 = __importDefault(require("./AppContext"));
class App extends React.Component {
    constructor() {
        super(...arguments);
        this.modalRoot = typeof document !== 'undefined' ? document.createElement('div') : null;
        this.popoverRoot = typeof document !== 'undefined' ? document.createElement('div') : null;
        this.initRoots = (root) => {
            if (root && this.modalRoot && this.popoverRoot) {
                this.modalRoot.setAttribute('data-modal-root', '');
                this.popoverRoot.setAttribute('data-popover-root', '');
                root.appendChild(this.modalRoot);
                root.appendChild(this.popoverRoot);
            }
        };
    }
    render() {
        const { classes, children } = this.props;
        return ((0, jsx_runtime_1.jsx)(AppContext_1.default.Provider, Object.assign({ value: { modalRoot: this.modalRoot, popoverRoot: this.popoverRoot } }, { children: (0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root, ref: this.initRoots }, { children: [(0, jsx_runtime_1.jsx)(CssBaseline_1.default, {}, void 0), children] }), void 0) }), void 0));
    }
}
exports.App = App;
exports.default = (0, withThemeSelector_1.default)((0, withStyles_1.default)(App_styles_1.default)(App));
//# sourceMappingURL=App.js.map