"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BreadcrumbCrumb = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../withStyles"));
const BreadcrumbCrumb_styles_1 = __importDefault(require("./BreadcrumbCrumb.styles"));
const BreadcrumbCrumb = ({ label, noShrink = false, onClick, classes, children, }) => ((0, jsx_runtime_1.jsx)("button", Object.assign({ className: (0, classnames_1.default)(classes.root, noShrink && classes.noShrink), onClick: onClick }, { children: label || children }), void 0));
exports.BreadcrumbCrumb = BreadcrumbCrumb;
exports.default = (0, withStyles_1.default)(BreadcrumbCrumb_styles_1.default)(exports.BreadcrumbCrumb);
//# sourceMappingURL=BreadcrumbCrumb.js.map