"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const AlertIcon_1 = __importDefault(require("../AlertIcon"));
const styles_1 = require("../../styles");
const Callout = ({ children }) => {
    const classes = useStyles();
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [(0, jsx_runtime_1.jsx)(AlertIcon_1.default, { color: "default", className: classes.icon }, void 0), children] }), void 0));
};
const useStyles = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    root: {
        flexShrink: 0,
        display: 'flex',
        padding: theme.spacing(1, 2),
        backgroundColor: theme.palette.warning.main,
        color: theme.palette.text.primary,
    },
    icon: {
        marginTop: 2,
        marginRight: theme.spacing(1),
    },
}));
exports.default = Callout;
//# sourceMappingURL=Callout.js.map