"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const Check_1 = __importDefault(require("@material-ui/icons/Check"));
const IndeterminateCheckBoxRounded_1 = __importDefault(require("@material-ui/icons/IndeterminateCheckBoxRounded"));
const IndeterminateCheckBoxSharp_1 = __importDefault(require("@material-ui/icons/IndeterminateCheckBoxSharp"));
const CheckboxIcon_styles_1 = __importDefault(require("./CheckboxIcon.styles"));
const CheckIcon = ({ indeterminate = false, round = false, }) => {
    const classes = (0, CheckboxIcon_styles_1.default)();
    const className = (0, classnames_1.default)(classes.icon, {
        [classes.indeterminate]: indeterminate,
    });
    if (indeterminate) {
        if (round) {
            return ((0, jsx_runtime_1.jsx)(IndeterminateCheckBoxRounded_1.default, { className: className, fontSize: "inherit" }, void 0));
        }
        return (0, jsx_runtime_1.jsx)(IndeterminateCheckBoxSharp_1.default, { className: className, fontSize: "inherit" }, void 0);
    }
    return (0, jsx_runtime_1.jsx)(Check_1.default, { className: className, fontSize: "inherit" }, void 0);
};
exports.default = CheckIcon;
//# sourceMappingURL=CheckboxIcon.js.map