"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CircularProgress = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const CircularProgress_1 = __importDefault(require("@material-ui/core/CircularProgress"));
const withStyles_1 = __importDefault(require("../withStyles"));
const CircularProgress_styles_1 = __importDefault(require("./CircularProgress.styles"));
const CircularProgress = ({ value, min = 0, max = 100, size = 20, color = 'default', classes, }) => ((0, jsx_runtime_1.jsx)(CircularProgress_1.default, { className: classes[color], size: size, variant: value !== undefined ? 'determinate' : 'indeterminate', value: value !== undefined ? ((value - min) * 100) / (max - min) : undefined }, void 0));
exports.CircularProgress = CircularProgress;
exports.default = (0, withStyles_1.default)(CircularProgress_styles_1.default)(exports.CircularProgress);
//# sourceMappingURL=CircularProgress.js.map