"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    default: {
        color: theme.progress.background,
    },
    light: {
        color: '#ffffff',
    },
    inherit: {
        color: 'inherit',
    },
    primary: {
        color: theme.palette.primary.main,
    },
    muted: {
        color: theme.palette.text.secondary,
    },
    success: {
        color: theme.palette.progress.main,
    },
    error: {
        color: theme.palette.error.main,
    },
});
exports.default = styles;
//# sourceMappingURL=CircularProgress.styles.js.map