"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CollapsableSelectFieldOption = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ExpansionPanel_1 = __importDefault(require("@material-ui/core/ExpansionPanel"));
const ExpansionPanelSummary_1 = __importDefault(require("@material-ui/core/ExpansionPanelSummary"));
const ExpansionPanelDetails_1 = __importDefault(require("@material-ui/core/ExpansionPanelDetails"));
const ArrowRight_1 = __importDefault(require("@material-ui/icons/ArrowRight"));
const React = __importStar(require("react"));
const Row_1 = __importDefault(require("../../layout/Row"));
const Checkbox_1 = __importDefault(require("../Checkbox"));
const CollapsableSelectFieldOption_styles_1 = __importDefault(require("./CollapsableSelectFieldOption.styles"));
const CollapsableSelectFieldContext_1 = __importDefault(require("./CollapsableSelectFieldContext"));
const CollapsableSelectFieldOption = ({ className, value, label, expanded = false, onClick, children }) => {
    const classes = (0, CollapsableSelectFieldOption_styles_1.default)();
    const { isSelected, isDisabled, setSelected } = React.useContext(CollapsableSelectFieldContext_1.default);
    return ((0, jsx_runtime_1.jsxs)(ExpansionPanel_1.default, Object.assign({ elevation: 0, expanded: expanded, className: className, classes: {
            root: classes.root,
            expanded: classes.expanded,
        } }, { children: [(0, jsx_runtime_1.jsx)(ExpansionPanelSummary_1.default, Object.assign({ expandIcon: (0, jsx_runtime_1.jsx)(ArrowRight_1.default, {}, void 0), classes: {
                    root: classes.summary,
                    expanded: classes.expanded,
                    expandIcon: classes.expandedIcon,
                    content: classes.content,
                    focused: classes.focused,
                }, onClick: onClick }, { children: (0, jsx_runtime_1.jsxs)(Row_1.default, Object.assign({ halfMargin: true, center: true }, { children: [(0, jsx_runtime_1.jsx)(Checkbox_1.default, { checked: isSelected(value), disabled: isDisabled(), onChange: (selected) => setSelected(value, selected), onClick: (event) => event.stopPropagation() }, void 0), (0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.label }, { children: label }), void 0)] }), void 0) }), void 0), (0, jsx_runtime_1.jsx)(ExpansionPanelDetails_1.default, Object.assign({ className: classes.details }, { children: children }), void 0)] }), void 0));
};
exports.CollapsableSelectFieldOption = CollapsableSelectFieldOption;
exports.default = exports.CollapsableSelectFieldOption;
//# sourceMappingURL=CollapsableSelectFieldOption.js.map