"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disabled = exports.Default = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const constants_1 = require("../../../.storybook/constants");
const Row_1 = __importDefault(require("../../layout/Row"));
const ColorField_1 = __importDefault(require("./ColorField"));
exports.default = {
    title: 'Components/ColorField',
    component: ColorField_1.default,
    argTypes: Object.assign({}, constants_1.disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = (0, react_1.useState)(args.value);
    return ((0, jsx_runtime_1.jsx)(Row_1.default, { children: (0, jsx_runtime_1.jsx)(ColorField_1.default, Object.assign({}, args, { value: value, onChange: setValue }), void 0) }, void 0));
};
exports.Default = Template.bind({});
exports.Default.args = {
    label: 'Background color',
    value: '#009bd2',
};
exports.Disabled = Template.bind({});
exports.Disabled.args = {
    disabled: true,
    value: '#009bd2',
};
//# sourceMappingURL=ColorField.stories.js.map