"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    expansionPanel: {
        backgroundColor: theme.palette.background.default,
        '&:first-child': {
            borderTopLeftRadius: theme.borderRadius.md,
            borderTopRightRadius: theme.borderRadius.md,
        },
        '&:last-child': {
            borderBottomLeftRadius: theme.borderRadius.md,
            borderBottomRightRadius: theme.borderRadius.md,
        },
    },
});
exports.default = styles;
//# sourceMappingURL=ExpansionPanel.styles.js.map