"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpansionPanelSummary = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ExpansionPanelSummary_1 = __importDefault(require("@material-ui/core/ExpansionPanelSummary"));
const helpers_1 = require("../../../helpers");
const Icon_1 = __importDefault(require("../../Icon"));
const withStyles_1 = __importDefault(require("../../withStyles"));
const ExpansionPanelSummary_styles_1 = __importDefault(require("./ExpansionPanelSummary.styles"));
const ExpansionPanelSummary = (_a) => {
    var { children, onClick, testId } = _a, props = __rest(_a, ["children", "onClick", "testId"]);
    return ((0, jsx_runtime_1.jsx)(ExpansionPanelSummary_1.default, Object.assign({ onClick: onClick, expandIcon: (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: "chevronDown" }, void 0) }, props, (0, helpers_1.testAttr)(testId), { children: children }), void 0));
};
exports.ExpansionPanelSummary = ExpansionPanelSummary;
// muiName tag is used by Material UI to recognise child components
// https://material-ui.com/guides/composition/
exports.default = Object.assign((0, withStyles_1.default)(ExpansionPanelSummary_styles_1.default)(exports.ExpansionPanelSummary), {
    muiName: 'ExpansionPanelSummary',
});
//# sourceMappingURL=ExpansionPanelSummary.js.map