"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const mixins_1 = require("../../mixins");
const withStyles_1 = require("../withStyles");
const styles = (0, withStyles_1.createStyles)({
    root: {
        position: 'relative',
    },
    inputWrapper: {
        position: 'relative',
        overflow: 'hidden',
    },
    input: {
        position: 'absolute',
        top: -21,
        left: 0,
        width: '100%',
        height: 'calc(3rem + 21px)',
        opacity: 0,
        cursor: 'pointer',
    },
    inputHasValue: {
        width: 'calc(100% - 40px)', // Adjust width to make room for remove button.
    },
    clear: Object.assign({}, (0, mixins_1.buttonReset)()),
    disabled: {
        cursor: 'not-allowed',
    },
});
exports.default = styles;
//# sourceMappingURL=FileField.styles.js.map