"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImagePickerFieldOption = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const is_touch_device_1 = __importDefault(require("is-touch-device"));
const React = __importStar(require("react"));
const Checkbox_1 = __importDefault(require("../../core/Checkbox"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const withThemeSelector_1 = __importDefault(require("../../core/withThemeSelector"));
const ImagePickerFieldOption_styles_1 = __importDefault(require("./ImagePickerFieldOption.styles"));
class ImagePickerFieldOption extends React.Component {
    constructor() {
        super(...arguments);
        this.state = {
            isHover: false,
        };
        this.handleMouseOver = () => {
            this.setState({ isHover: true });
        };
        this.handleMouseLeave = () => {
            this.setState({ isHover: false });
        };
    }
    render() {
        const { classes, url, checked, onClick } = this.props;
        const { isHover } = this.state;
        const shouldShowOverlay = isHover || checked;
        const shouldAddMouseEvents = !(0, is_touch_device_1.default)();
        return ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: (0, jsx_runtime_1.jsxs)("div", Object.assign({ className: (0, classnames_1.default)(classes.inner, onClick && classes.clickable), onMouseOver: shouldAddMouseEvents ? this.handleMouseOver : undefined, onMouseLeave: shouldAddMouseEvents ? this.handleMouseLeave : undefined, onClick: onClick }, { children: [(0, jsx_runtime_1.jsx)("div", { className: classes.image, style: {
                            backgroundImage: `url(${url})`,
                        } }, void 0), shouldShowOverlay && (0, jsx_runtime_1.jsx)("div", { className: classes.overlay }, void 0), checked && ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.topLeft }, { children: (0, jsx_runtime_1.jsx)(Checkbox_1.default, { round: true, checked: checked, onClick: (e) => e.preventDefault() }, void 0) }), void 0))] }), void 0) }), void 0));
    }
}
exports.ImagePickerFieldOption = ImagePickerFieldOption;
ImagePickerFieldOption.defaultProps = {
    checked: false,
};
exports.default = (0, withThemeSelector_1.default)((0, withStyles_1.default)(ImagePickerFieldOption_styles_1.default)(ImagePickerFieldOption), 'dark');
//# sourceMappingURL=ImagePickerFieldOption.js.map