"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        lineHeight: 1.5,
        marginTop: theme.spacing(0.5),
        fontSize: theme.fontSizes.xs,
        color: theme.palette.text.secondary,
        '&$error': {
            color: theme.palette.error.main,
        },
    },
    error: {},
    indent: {
        paddingLeft: theme.spacing(2),
    },
    success: {
        color: theme.palette.progress.dark,
    },
});
exports.default = styles;
//# sourceMappingURL=InputHelperText.styles.js.map