"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const styles_1 = require("@material-ui/core/styles");
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const Logo_styles_1 = __importDefault(require("./Logo.styles"));
const Logo = ({ classes, theme, square = false, width, }) => ((0, jsx_runtime_1.jsx)("img", { className: (0, classnames_1.default)(classes.root, square && classes.square), src: square ? theme.logo.squareSrc : theme.logo.src, style: { width } }, square ? 'logo-square' : 'logo'));
exports.Logo = Logo;
exports.default = (0, withStyles_1.default)(Logo_styles_1.default)((0, styles_1.withTheme)(exports.Logo));
//# sourceMappingURL=Logo.js.map