"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign(Object.assign({}, (0, mixins_1.tab)(theme)), { alignItems: 'flex-start', padding: `${theme.spacing(1.5)}px ${theme.spacing(10)}px`, color: theme.menu.foreground, fontSize: theme.fontSizes.sm, border: 0 }),
    active: {
        fontWeight: 500,
    },
});
exports.default = styles;
//# sourceMappingURL=MenuDrawerItem.styles.js.map