"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuLogo = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const helpers_1 = require("../../helpers");
const Logo_1 = __importDefault(require("../Logo"));
const MenuLogo_styles_1 = __importDefault(require("./MenuLogo.styles"));
const isRenderFn = (value) => typeof value === 'function';
const MenuLogo = ({ square = false, href, width, onClick, classes, children, }) => {
    if (isRenderFn(children)) {
        return children({
            className: classes.root,
            Logo: (0, jsx_runtime_1.jsx)(Logo_1.default, { square: square, width: width }, void 0),
        });
    }
    return ((0, jsx_runtime_1.jsx)("a", Object.assign({ href: href, onClick: (0, helpers_1.preventDefault)(onClick), className: classes.root }, { children: (0, jsx_runtime_1.jsx)(Logo_1.default, { square: square, width: width }, void 0) }), void 0));
};
exports.MenuLogo = MenuLogo;
exports.default = (0, withStyles_1.default)(MenuLogo_styles_1.default)(exports.MenuLogo);
//# sourceMappingURL=MenuLogo.js.map