"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Paper = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Paper_1 = __importDefault(require("@material-ui/core/Paper"));
const classnames_1 = __importDefault(require("classnames"));
const withThemeSelector_1 = __importDefault(require("../withThemeSelector"));
const Paper_styles_1 = __importDefault(require("./Paper.styles"));
const Paper = (_a) => {
    var { elevation = 0, className, children } = _a, paperProps = __rest(_a, ["elevation", "className", "children"]);
    const classes = (0, Paper_styles_1.default)();
    return ((0, jsx_runtime_1.jsx)(Paper_1.default, Object.assign({ className: (0, classnames_1.default)(classes.root, className), elevation: elevation }, paperProps, { children: children }), void 0));
};
exports.Paper = Paper;
exports.default = (0, withThemeSelector_1.default)(exports.Paper);
//# sourceMappingURL=Paper.js.map