"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaperModalHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const styles_1 = require("../../styles");
const PaperModalHeader = ({ className, children, }) => {
    const classes = useStyles();
    return (0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, className) }, { children: children }), void 0);
};
exports.PaperModalHeader = PaperModalHeader;
const useStyles = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    root: {
        padding: theme.spacing(1, 4),
        paddingTop: 0,
        borderBottom: `1px solid ${theme.divider.primary}`,
    },
}));
exports.default = exports.PaperModalHeader;
//# sourceMappingURL=PaperModalHeader.js.map