"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Scrollable_1 = __importDefault(require("../../layout/Scrollable"));
const withStyles_1 = __importStar(require("../withStyles"));
const styles = () => (0, withStyles_1.createStyles)({
    root: {
        // For IE11 it's necessary to set the maxHeight on the scrollable element.
        // Originally we had a maxHeight of 320px on the popover container, so we are
        // substracting the height of the popover header (~56px) from 320px to get 264px.
        maxHeight: 264,
    },
});
const Body = (props) => {
    const { children, classes } = props;
    return (0, jsx_runtime_1.jsx)(Scrollable_1.default, Object.assign({ className: classes.root }, { children: children }), void 0);
};
exports.default = (0, withStyles_1.default)(styles)(Body);
//# sourceMappingURL=Body.js.map