"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Row_1 = __importDefault(require("../../layout/Row"));
const withStyles_1 = __importStar(require("../withStyles"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        display: 'flex',
        fontWeight: 500,
        backgroundColor: theme.popover.contentBackground,
        paddingLeft: theme.spacing(2),
        paddingRight: theme.spacing(2),
        paddingTop: theme.spacing(1),
        paddingBottom: theme.spacing(1),
        borderBottom: '1px solid transparent',
        borderTop: `1px solid ${theme.palette.action.selected}`,
        minHeight: 68,
    },
    row: {
        alignItems: 'center',
        justifyContent: 'space-between',
    },
});
const Footer = ({ classes, children }) => ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: (0, jsx_runtime_1.jsx)(Row_1.default, Object.assign({ className: classes.row }, { children: children }), void 0) }), void 0));
exports.default = (0, withStyles_1.default)(styles)(Footer);
//# sourceMappingURL=Footer.js.map