import * as React from 'react';
import { IconOptions } from '../Icon';
import { WithStyles } from '../withStyles';
import styles from './PrimaryActionButton.styles';
interface ButtonProps extends WithStyles<typeof styles> {
    icon: IconOptions;
    label?: React.ReactNode;
    size?: 'small' | 'medium' | 'large';
    color?: 'default' | 'primary' | 'progress' | 'destructive';
    onClick?: (event: React.MouseEvent<any>) => any;
}
export declare const PrimaryActionButton: React.FC<ButtonProps>;
declare const _default: React.ComponentType<Pick<ButtonProps & {
    children?: React.ReactNode;
}, "color" | "size" | "icon" | "children" | "label" | "onClick"> & import("@material-ui/core").StyledComponentProps<"primary" | "default" | "progress" | "root" | "label" | "destructive" | "hideBorder">>;
export default _default;
