"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Radio = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Radio_1 = __importDefault(require("@material-ui/core/Radio"));
const helpers_1 = require("../../helpers");
const withStyles_1 = __importStar(require("../withStyles"));
const Radio = (_a) => {
    var { testId, classes } = _a, props = __rest(_a, ["testId", "classes"]);
    return ((0, jsx_runtime_1.jsx)(Radio_1.default, Object.assign({}, props, { color: "primary", classes: { root: classes.root, colorPrimary: classes.colorPrimary }, inputProps: Object.assign({}, (0, helpers_1.testAttr)(testId)) }), void 0));
};
exports.Radio = Radio;
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        paddingTop: theme.spacing(0.5),
        paddingRight: theme.spacing(1),
        paddingBottom: theme.spacing(0.5),
        paddingLeft: theme.spacing(2),
    },
    colorPrimary: {
        color: theme.palette.text.secondary,
        '&$checked': {
            color: theme.palette.primary.main,
        },
        '&$disabled': {
            color: theme.palette.primary.main,
            opacity: 0,
        },
    },
});
exports.default = (0, withStyles_1.default)(styles)(exports.Radio);
//# sourceMappingURL=RadioGroupRadio.js.map