import { WithStyles } from '@material-ui/core/styles';
import * as React from 'react';
import * as S from '../../sequence/sequenceTypes';
export interface RecurrenceSelectorProps extends WithStyles {
    onChange?: (recurrenceRule: S.RecurrenceRule) => any;
    recurrenceRule?: S.RecurrenceRule | null;
    testId?: string;
}
interface RecurrenceSelectorState {
    recurrenceRule: S.RecurrenceRule;
}
export declare class RecurrenceSelector extends React.Component<RecurrenceSelectorProps, RecurrenceSelectorState> {
    state: RecurrenceSelectorState;
    updateRecurrenceRule: (recurrenceRule: Partial<S.RecurrenceRule>) => void;
    handleFrequencyChange: (value: S.Frequency) => void;
    render(): JSX.Element;
}
declare const _default: React.ComponentType<Pick<RecurrenceSelectorProps, "onChange" | "testId" | "recurrenceRule"> & import("@material-ui/core/styles").StyledComponentProps<"frequencySelector" | "intervalSelector">>;
export default _default;
