"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const ExpandMore_1 = __importDefault(require("@material-ui/icons/ExpandMore"));
const Select_1 = __importDefault(require("@material-ui/core/Select"));
const classnames_1 = __importDefault(require("classnames"));
const helpers_1 = require("../../helpers");
const Select_styles_1 = __importDefault(require("./Select.styles"));
const Select = ({ className, classes: classOverrides = {}, value, disabled = false, fullWidth = false, children, onBlur, onChange = () => { }, onClose, onFocus, onOpen, open, testId, native = true, displayEmpty, renderValue, }) => {
    const classes = (0, Select_styles_1.default)();
    return ((0, jsx_runtime_1.jsx)(Select_1.default, Object.assign({ MenuProps: {
            classes: {
                paper: classes.menuPaper,
            },
        }, className: (0, classnames_1.default)(classes.root, className), native: native, value: value, disabled: disabled, fullWidth: fullWidth, IconComponent: ExpandMore_1.default, onChange: (e) => onChange(e.target.value), onClose: onClose, onBlur: onBlur, onFocus: onFocus, onOpen: onOpen, open: open, classes: Object.assign(Object.assign({}, classOverrides), { select: (0, classnames_1.default)(classes.select, classOverrides.select), icon: (0, classnames_1.default)(classes.icon, disabled && classes.iconDisabled) }), inputProps: Object.assign({}, (0, helpers_1.testAttr)(testId)), displayEmpty: displayEmpty, renderValue: renderValue }, { children: children }), void 0));
};
exports.default = Select;
//# sourceMappingURL=Select.js.map