"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Switch = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Switch_1 = __importDefault(require("@material-ui/core/Switch"));
const classnames_1 = __importDefault(require("classnames"));
const helpers_1 = require("../../helpers");
const InputLabel_1 = __importDefault(require("../InputLabel"));
const withStyles_1 = __importDefault(require("../withStyles"));
const Switch_styles_1 = __importDefault(require("./Switch.styles"));
const Switch = ({ checked = false, label, disabled, onChange = () => { }, helperText, classes, testId, }) => ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.control }, { children: [(0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.switchContainer }, { children: (0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.switchInner }, { children: (0, jsx_runtime_1.jsx)(Switch_1.default, { checked: checked, disabled: disabled, onChange: (e) => onChange(e.target.checked), classes: {
                                root: classes.switchRoot,
                                switchBase: classes.switchBase,
                                checked: classes.checked,
                                thumb: classes.thumb,
                                track: classes.track,
                                disabled: classes.disabled,
                            }, focusVisibleClassName: classes.focusVisible, inputProps: Object.assign({}, (0, helpers_1.testAttr)(testId)) }, void 0) }), void 0) }), void 0), helperText && ((0, jsx_runtime_1.jsx)("span", Object.assign({ className: (0, classnames_1.default)(classes.helper, disabled && classes.helperDisabled) }, { children: helperText }), void 0))] }), void 0)] }), void 0));
exports.Switch = Switch;
exports.default = (0, withStyles_1.default)(Switch_styles_1.default)(exports.Switch);
//# sourceMappingURL=Switch.js.map