"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Text = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const classnames_1 = __importDefault(require("classnames"));
const Typography_1 = __importDefault(require("../../internal/Typography"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const Text_styles_1 = __importDefault(require("./Text.styles"));
const Text = (_a, ref) => {
    var { editable, value, maxWidth, autoFocus, error, onChange = () => { }, onBlur, onFocus, children, classes } = _a, props = __rest(_a, ["editable", "value", "maxWidth", "autoFocus", "error", "onChange", "onBlur", "onFocus", "children", "classes"]);
    if (editable) {
        return ((0, jsx_runtime_1.jsx)(Typography_1.default, Object.assign({}, props, { children: (0, jsx_runtime_1.jsx)("input", { ref: ref, type: "text", className: (0, classnames_1.default)(classes.input, error && classes.error), value: value, autoFocus: autoFocus, onChange: (e) => onChange(e.target.value), onBlur: onBlur, onFocus: onFocus, style: { maxWidth } }, void 0) }), void 0));
    }
    return (0, jsx_runtime_1.jsx)(Typography_1.default, Object.assign({}, props, { children: children || value }), void 0);
};
exports.Text = Text;
// @ts-ignore
exports.default = (0, withStyles_1.default)(Text_styles_1.default)(React.forwardRef(exports.Text));
//# sourceMappingURL=Text.js.map