"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleButtonGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ToggleButtonGroup_1 = __importDefault(require("@material-ui/lab/ToggleButtonGroup"));
const withStyles_1 = __importStar(require("../withStyles"));
const ToggleButtonGroupButton_1 = __importDefault(require("./ToggleButtonGroupButton"));
const InputHelperText_1 = __importDefault(require("../InputHelperText"));
const InputLabel_1 = __importDefault(require("../InputLabel"));
const ToggleButtonGroup = ({ children, value, onChange, label, disabled = false, helperText, classes, exclusive = false, }) => ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsx)(ToggleButtonGroup_1.default, Object.assign({ size: "small", value: value, exclusive: exclusive, onChange: (_, updatedValue) => {
                if (onChange) {
                    onChange(updatedValue);
                }
            } }, { children: children }), void 0), !!helperText && ((0, jsx_runtime_1.jsx)(InputHelperText_1.default, Object.assign({ indent: true, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
exports.ToggleButtonGroup = ToggleButtonGroup;
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        display: 'flex',
        flexDirection: 'column',
    },
    label: {
        fontSize: theme.fontSizes.sm,
        color: theme.palette.text.secondary,
        marginBottom: theme.spacing(0.5),
    },
});
exports.default = Object.assign((0, withStyles_1.default)(styles)(exports.ToggleButtonGroup), {
    Button: ToggleButtonGroupButton_1.default,
});
//# sourceMappingURL=ToggleButtonGroup.js.map