"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddDevicePopover = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_media_1 = __importDefault(require("react-media"));
const Popover_1 = __importDefault(require("../../core/Popover"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const AddDevice_1 = __importStar(require("../AddDevice"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        padding: theme.spacing(2),
    },
});
const AddDevicePopover = ({ open = false, headingText, onClose, onRegister, error, classes, testId, hideAudioOnly, loading, }) => {
    const popoverProps = {
        open,
        anchor: ['top', 'left'],
        to: ['bottom', 'left'],
        onOverlayClick: onClose,
    };
    const contents = ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: (0, jsx_runtime_1.jsx)(AddDevice_1.default, { headingText: headingText, onRegister: onRegister, error: error, testId: testId, hideAudioOnly: hideAudioOnly, loading: loading }, void 0) }), void 0));
    return ((0, jsx_runtime_1.jsx)(react_media_1.default, Object.assign({ query: `(min-height: ${AddDevice_1.AddDeviceMinHeight}px)` }, { children: (matches) => matches ? ((0, jsx_runtime_1.jsx)(Popover_1.default, Object.assign({}, popoverProps, { height: "auto" }, { children: contents }), void 0)) : ((0, jsx_runtime_1.jsx)(Popover_1.default, Object.assign({}, popoverProps, { width: "auto", height: "auto" }, { children: contents }), void 0)) }), void 0));
};
exports.AddDevicePopover = AddDevicePopover;
exports.default = (0, withStyles_1.default)(styles)(exports.AddDevicePopover);
//# sourceMappingURL=AddDevicePopover.js.map