"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceList = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importStar(require("../../core/withStyles"));
const withThemeSelector_1 = __importDefault(require("../../core/withThemeSelector"));
const DeviceListAudioDevice_1 = __importDefault(require("./DeviceListAudioDevice"));
const DeviceListDevice_1 = __importDefault(require("./DeviceListDevice"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        [theme.breakpoints.up('sm')]: {
            padding: theme.spacing(2),
        },
    },
});
const DeviceList = ({ classes, children, }) => (0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.root }, { children: children }), void 0);
exports.DeviceList = DeviceList;
exports.default = Object.assign((0, withThemeSelector_1.default)((0, withStyles_1.default)(styles)(exports.DeviceList)), {
    Device: DeviceListDevice_1.default,
    AudioDevice: DeviceListAudioDevice_1.default,
});
//# sourceMappingURL=DeviceList.js.map