"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NEW_PLAYLIST_VALUE = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const AlertIcon_1 = __importDefault(require("../../core/AlertIcon"));
const Link_1 = __importDefault(require("../../core/Link"));
const SuccessIcon_1 = __importDefault(require("../../core/SuccessIcon"));
const helpers_1 = require("../../helpers");
const Row_1 = __importDefault(require("../../layout/Row"));
const Text_1 = __importDefault(require("../../typography/Text"));
const ConnectionIndicator_1 = __importDefault(require("../ConnectionIndicator/ConnectionIndicator"));
exports.NEW_PLAYLIST_VALUE = 'new';
const ConnectionStatus = ({ device, signalStrength, isEthernet, isLTE, isOnline, onConnectivityWizard, }) => {
    if (!device.resinUuid) {
        return null;
    }
    return ((0, jsx_runtime_1.jsxs)(Row_1.default, Object.assign({ halfMargin: true, center: true }, { children: [isOnline ? (0, jsx_runtime_1.jsx)(SuccessIcon_1.default, {}, void 0) : (0, jsx_runtime_1.jsx)(AlertIcon_1.default, {}, void 0), isOnline && ((0, jsx_runtime_1.jsx)(ConnectionIndicator_1.default, { signalStrength: signalStrength, isEthernet: isEthernet, isLTE: isLTE }, void 0)), isOnline ? (0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ small: true }, { children: "Online" }), void 0) : (0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ small: true }, { children: "Offline" }), void 0), !isOnline && onConnectivityWizard && ((0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ small: true }, { children: (0, jsx_runtime_1.jsx)(Link_1.default, Object.assign({ onClick: (0, helpers_1.stopPropagation)(onConnectivityWizard) }, { children: "Need help?" }), void 0) }), void 0))] }), void 0));
};
exports.default = ConnectionStatus;
//# sourceMappingURL=DeviceListConnectionStatus.js.map