"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NEW_PLAYLIST_VALUE = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Button_1 = __importDefault(require("../../core/Button"));
const SelectField_1 = __importDefault(require("../../core/SelectField"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const helpers_1 = require("../../helpers");
const Row_1 = __importDefault(require("../../layout/Row"));
exports.NEW_PLAYLIST_VALUE = 'new';
const PlaylistSelector = ({ classes, value, playlistsByOwner, currentUserProfileId, onCreatePlaylist, onEditPlaylist, onSelectPlaylist, }) => {
    const myGroup = playlistsByOwner[currentUserProfileId];
    const allGroups = Object.values(playlistsByOwner);
    const allPlaylists = allGroups.reduce((a, b) => {
        a.push(...b.playlists);
        return a;
    }, []);
    const selectedPlaylist = allPlaylists.find((pl) => pl.id === value);
    const playlistIsDeleted = value && !selectedPlaylist;
    const shouldAddEmptyOption = !value || !!playlistIsDeleted;
    const shouldDisabledSelect = !onSelectPlaylist;
    return ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root, onClick: (0, helpers_1.stopPropagation)() }, { children: allPlaylists.length === 0 ? (onCreatePlaylist && ((0, jsx_runtime_1.jsx)(Button_1.default, { fullWidth: true, color: "primary", label: "Create a Playlist", onClick: onCreatePlaylist }, void 0))) : ((0, jsx_runtime_1.jsxs)(Row_1.default, { children: [(0, jsx_runtime_1.jsxs)(SelectField_1.default, Object.assign({ label: shouldAddEmptyOption ? 'Select a playlist' : 'Playlist', value: playlistIsDeleted ? '' : value, disabled: shouldDisabledSelect, onChange: (playlistId) => {
                        if (playlistId === exports.NEW_PLAYLIST_VALUE && onCreatePlaylist) {
                            onCreatePlaylist();
                        }
                        else if (onSelectPlaylist) {
                            onSelectPlaylist(playlistId);
                        }
                    } }, { children: [shouldAddEmptyOption && (0, jsx_runtime_1.jsx)("option", { value: "" }, void 0), (0, jsx_runtime_1.jsx)("option", Object.assign({ value: exports.NEW_PLAYLIST_VALUE }, { children: "New Empty Playlist" }), void 0), (0, jsx_runtime_1.jsx)("option", Object.assign({ value: "new-separator", disabled: true }, { children: "--------------------------" }), void 0), myGroup.playlists.map((pl) => ((0, jsx_runtime_1.jsx)("option", Object.assign({ value: pl.id }, { children: pl.name }), pl.id))), allGroups.map(({ profile, playlists }) => {
                            if (profile.id === myGroup.profile.id) {
                                return null;
                            }
                            return ((0, jsx_runtime_1.jsx)("optgroup", Object.assign({ label: profile.name }, { children: playlists.map((pl) => ((0, jsx_runtime_1.jsx)("option", Object.assign({ value: pl.id }, { children: pl.name }), pl.id))) }), profile.id));
                        })] }), void 0), onEditPlaylist && ((0, jsx_runtime_1.jsx)(Button_1.default, { icon: "edit", disabled: shouldAddEmptyOption, onClick: () => onEditPlaylist(value) }, void 0))] }, void 0)) }), void 0));
};
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        width: '100%',
        maxWidth: 280,
        [theme.breakpoints.down('xs')]: {
            maxWidth: 'none',
        },
    },
});
exports.default = (0, withStyles_1.default)(styles)(PlaylistSelector);
//# sourceMappingURL=DeviceListPlaylistSelector.js.map