"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScreenPreview = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const helpers_1 = require("../../helpers");
const ScreenPreview_styles_1 = __importDefault(require("./ScreenPreview.styles"));
const ScreenPreview = ({ name, presentation, children, classes, }) => ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [name && ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.header }, { children: (0, jsx_runtime_1.jsx)("h1", Object.assign({ className: classes.screenName }, { children: name }), void 0) }), void 0)), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.preview }, { children: children }), void 0), presentation && ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.footer }, { children: (0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.presentationName }, (0, helpers_1.testAttr)('presentation-preview-presentation-name'), { children: presentation.name }), void 0), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.applicationName }, (0, helpers_1.testAttr)('presentation-preview-application-name'), { children: presentation.applicationName }), void 0)] }, void 0) }), void 0))] }), void 0));
exports.ScreenPreview = ScreenPreview;
exports.default = (0, withStyles_1.default)(ScreenPreview_styles_1.default)(exports.ScreenPreview);
//# sourceMappingURL=ScreenPreview.js.map