"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Replace {{propName}} with the prop values in the URL.
//   ie. ?access_token={{accessToken}} => ?access_token=abc123
const replacePropNameWithValue = (url, parentValue, encodeURI = false) => {
    return url.replace(/\{\{(.*?)\}\}/g, (_, propName) => (encodeURI
        ? encodeURIComponent(parentValue[propName])
        : parentValue[propName]) || '');
};
exports.default = replacePropNameWithValue;
//# sourceMappingURL=replacePropNameWithValue.js.map