"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = __importStar(require("react"));
const isElementSelected_1 = __importDefault(require("./isElementSelected"));
const sortChildrenBySelected = (value, children) => {
    // We need to cast to React.ReactElement<any> here because
    // React.ReactChild does not allow us to access child.props.
    const array = React.Children.toArray(children);
    // Move selected items to the top of the list.
    return array.sort((childA, childB) => {
        if ((0, isElementSelected_1.default)(value, childA) && !(0, isElementSelected_1.default)(value, childB)) {
            return -1;
        }
        else if (!(0, isElementSelected_1.default)(value, childA) &&
            (0, isElementSelected_1.default)(value, childB)) {
            return 1;
        }
        return 0;
    });
};
exports.default = sortChildrenBySelected;
//# sourceMappingURL=sortChildrenBySelected.js.map