"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        left: 10,
        transform: 'translate(0, 14px) scale(1)',
        color: theme.palette.text.secondary,
        '&$focused': {
            color: theme.input.foreground,
        },
        '&$disabled': {
            color: theme.palette.text.secondary,
        },
        '&$error': {
            color: theme.palette.error.main,
        },
    },
    focused: {},
    error: {},
    disabled: {},
    shrink: {
        transform: 'translate(0, 4px) scale(0.8)',
    },
});
exports.default = styles;
//# sourceMappingURL=InputLabel.styles.js.map