"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Overlay = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Fade_1 = __importDefault(require("@material-ui/core/Fade"));
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const helpers_1 = require("../../helpers");
const Overlay_styles_1 = __importDefault(require("./Overlay.styles"));
const Overlay = ({ className, onClick, children, classes, testId, }) => {
    const clickProps = {
        onClick,
        tabIndex: -1,
        role: 'button',
        style: { cursor: 'pointer' },
    };
    return ((0, jsx_runtime_1.jsx)(Fade_1.default, Object.assign({ in: true }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.overlay, className) }, (onClick ? clickProps : {}), (0, helpers_1.testAttr)(testId), { children: children }), void 0) }), void 0));
};
exports.Overlay = Overlay;
exports.default = (0, withStyles_1.default)(Overlay_styles_1.default)(exports.Overlay);
//# sourceMappingURL=Overlay.js.map