"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Select_1 = __importDefault(require("@material-ui/core/Select"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const helpers_1 = require("../../helpers");
const Input_1 = __importDefault(require("../Input"));
const Select_styles_1 = __importDefault(require("./Select.styles"));
const Select = ({ value, disabled = false, fullWidth = false, children, onChange, onBlur, onFocus, classes, testId, native, }) => ((0, jsx_runtime_1.jsx)(Select_1.default, Object.assign({ native: native, value: value, disabled: disabled, fullWidth: fullWidth, input: (0, jsx_runtime_1.jsx)(Input_1.default, {}, void 0), onChange: onChange, onBlur: onBlur, onFocus: onFocus, classes: { select: classes.select }, inputProps: Object.assign({}, (0, helpers_1.testAttr)(testId)) }, { children: children }), void 0));
exports.default = (0, withStyles_1.default)(Select_styles_1.default)(Select);
//# sourceMappingURL=Select.js.map