"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddDeviceLayout = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importStar(require("../../core/withStyles"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        flex: 1,
        display: 'flex',
        flexDirection: 'column',
        padding: `${theme.spacing(4)}px ${theme.spacing(2)}px`,
        [theme.breakpoints.up('sm')]: {
            padding: theme.spacing(4),
            alignItems: 'center',
            justifyContent: 'center',
        },
    },
});
const AddDeviceLayout = ({ classes, children, }) => (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: children }), void 0);
exports.AddDeviceLayout = AddDeviceLayout;
exports.default = (0, withStyles_1.default)(styles)(exports.AddDeviceLayout);
//# sourceMappingURL=AddDeviceLayout.js.map