"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Center = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const Column_1 = __importDefault(require("../Column"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        alignItems: 'center',
        justifyContent: 'center',
        paddingRight: theme.spacing(2),
        paddingLeft: theme.spacing(2),
        flex: 1,
    },
});
const Center = ({ className, classes, children, doubleMargin, }) => ((0, jsx_runtime_1.jsx)(Column_1.default, Object.assign({ className: (0, classnames_1.default)(classes.root, className), doubleMargin: doubleMargin }, { children: children }), void 0));
exports.Center = Center;
exports.default = (0, withStyles_1.default)(styles)(exports.Center);
//# sourceMappingURL=Center.js.map