"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OneThirdLayout = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const OneThirdLayout_styles_1 = __importDefault(require("./OneThirdLayout.styles"));
const OneThirdLayoutColumnLarge_1 = __importDefault(require("./OneThirdLayoutColumnLarge"));
const OneThirdLayoutColumnSmall_1 = __importDefault(require("./OneThirdLayoutColumnSmall"));
const OneThirdLayoutContext_1 = __importDefault(require("./OneThirdLayoutContext"));
const OneThirdLayout = ({ className, collapseMode = 'collapseLargeColumn', children, classes, }) => {
    return ((0, jsx_runtime_1.jsx)(OneThirdLayoutContext_1.default.Provider, Object.assign({ value: { collapseMode } }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, className) }, { children: children }), void 0) }), void 0));
};
exports.OneThirdLayout = OneThirdLayout;
exports.default = Object.assign((0, withStyles_1.default)(OneThirdLayout_styles_1.default)(exports.OneThirdLayout), {
    ColumnSmall: OneThirdLayoutColumnSmall_1.default,
    ColumnLarge: OneThirdLayoutColumnLarge_1.default,
});
//# sourceMappingURL=OneThirdLayout.js.map