"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OneThirdLayoutColumnSmall = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const React = __importStar(require("react"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const Hidden_1 = __importDefault(require("../Hidden"));
const OneThirdLayoutColumnSmall_styles_1 = __importDefault(require("./OneThirdLayoutColumnSmall.styles"));
const OneThirdLayoutContext_1 = __importDefault(require("./OneThirdLayoutContext"));
const OneThirdLayoutColumnSmall = ({ className, showBorder, children, classes }) => {
    const { collapseMode } = React.useContext(OneThirdLayoutContext_1.default);
    const columnEl = ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, className, showBorder && classes.border) }, { children: children }), void 0));
    if (collapseMode === 'collapseSmallColumn') {
        return (0, jsx_runtime_1.jsx)(Hidden_1.default, Object.assign({ smDown: true }, { children: columnEl }), void 0);
    }
    return columnEl;
};
exports.OneThirdLayoutColumnSmall = OneThirdLayoutColumnSmall;
exports.default = (0, withStyles_1.default)(OneThirdLayoutColumnSmall_styles_1.default)(exports.OneThirdLayoutColumnSmall);
//# sourceMappingURL=OneThirdLayoutColumnSmall.js.map