"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        display: 'flex',
        flexDirection: 'column',
        width: '100%',
        backgroundColor: theme.palette.background.default,
        color: theme.palette.text.primary,
        [theme.breakpoints.up('sm')]: {
            width: 390,
        },
    },
    border: {
        borderLeft: `1px solid ${theme.divider.secondary}`,
    },
});
exports.default = styles;
//# sourceMappingURL=OneThirdLayoutColumnSmall.styles.js.map