"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign({ display: 'flex', width: '100%' }, (0, mixins_1.marginBetweenChildrenHorizontal)(theme.spacing(1))),
    clickable: {
        cursor: 'pointer',
    },
    inline: {
        display: 'inline-flex',
        width: 'auto',
    },
    center: {
        display: 'flex',
        alignItems: 'center',
    },
    halfMargin: Object.assign({}, (0, mixins_1.marginBetweenChildrenHorizontal)(theme.spacing(0.5))),
    doubleMargin: Object.assign({}, (0, mixins_1.marginBetweenChildrenHorizontal)(theme.spacing(2))),
});
exports.default = styles;
//# sourceMappingURL=Row.styles.js.map