"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollableVisibilitySensor = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const useVisibilitySensor_1 = __importDefault(require("./useVisibilitySensor"));
const ScrollableVisibilitySensor = ({ children }) => {
    const { visibilityRef, isVisible } = (0, useVisibilitySensor_1.default)();
    return (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: children({ visibilityRef, isVisible }) }, void 0);
};
exports.ScrollableVisibilitySensor = ScrollableVisibilitySensor;
exports.default = exports.ScrollableVisibilitySensor;
//# sourceMappingURL=ScrollableVisibilitySensor.js.map