"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        display: 'block',
        paddingTop: theme.spacing(2),
        paddingBottom: theme.spacing(2),
        [theme.breakpoints.up('sm')]: {
            paddingLeft: theme.spacing(2),
            paddingRight: theme.spacing(2),
        },
    },
    inline: {
        display: 'inline-block',
    },
});
exports.default = styles;
//# sourceMappingURL=SpaceAround.styles.js.map