"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LoginScreen = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const styles_1 = require("@material-ui/core/styles");
const ThemeSelector_1 = __importDefault(require("../../core/ThemeSelector"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const OneThirdLayout_1 = __importDefault(require("../../layout/OneThirdLayout"));
const LoginScreen_styles_1 = __importDefault(require("./LoginScreen.styles"));
const LoginScreenContent_1 = __importDefault(require("./LoginScreenContent"));
const LoginScreenHeader_1 = __importDefault(require("./LoginScreenHeader"));
const LoginScreen = ({ theme, classes, children, }) => ((0, jsx_runtime_1.jsxs)(OneThirdLayout_1.default, { children: [(0, jsx_runtime_1.jsx)(OneThirdLayout_1.default.ColumnSmall, Object.assign({ className: classes.contents }, { children: children }), void 0), (0, jsx_runtime_1.jsx)(ThemeSelector_1.default, Object.assign({ color: "dark" }, { children: (0, jsx_runtime_1.jsx)(OneThirdLayout_1.default.ColumnLarge, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.assetContainer }, { children: (0, jsx_runtime_1.jsx)("img", { className: classes.asset, src: theme.loginAsset.default }, void 0) }), void 0) }, void 0) }), void 0)] }, void 0));
exports.LoginScreen = LoginScreen;
exports.default = Object.assign((0, withStyles_1.default)(LoginScreen_styles_1.default)((0, styles_1.withTheme)(exports.LoginScreen)), {
    Header: LoginScreenHeader_1.default,
    Content: LoginScreenContent_1.default,
});
//# sourceMappingURL=LoginScreen.js.map