"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const assetWidth = 1128;
const styles = (theme) => (0, withStyles_1.createStyles)({
    contents: Object.assign(Object.assign({ position: 'relative', display: 'flex', flexDirection: 'column', alignItems: 'stretch' }, (0, mixins_1.responsiveContainer)(theme)), (0, mixins_1.scrollable)()),
    assetContainer: {
        flex: 1,
        backgroundImage: theme.palette.background.gradient,
        padding: theme.spacing(5),
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
    },
    asset: {
        // We're unable to simply use `maxWidth: 100%` here as
        // the value is ignored in IE11 (see here: https://github.com/philipwalton/flexbugs#11-min-and-max-size-declarations-are-ignored-when-wrapping-flex-items)
        width: '100%',
        maxWidth: assetWidth,
    },
});
exports.default = styles;
//# sourceMappingURL=LoginScreen.styles.js.map