"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaylistCard = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const React = __importStar(require("react"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const PlaylistThumbnail_1 = __importDefault(require("../PlaylistThumbnail"));
const PlaylistCard_styles_1 = __importDefault(require("./PlaylistCard.styles"));
const PlaylistCard = (_a, ref) => {
    var { classes, playlist, noShrink } = _a, thumbnailProps = __rest(_a, ["classes", "playlist", "noShrink"]);
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, noShrink && classes.noShrink) }, { children: [(0, jsx_runtime_1.jsx)("div", Object.assign({ ref: ref, className: classes.thumbnail }, { children: (0, jsx_runtime_1.jsx)(PlaylistThumbnail_1.default, Object.assign({}, thumbnailProps), void 0) }), void 0), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.name }, { children: playlist.name }), void 0)] }), void 0));
};
exports.PlaylistCard = PlaylistCard;
// @ts-ignore
exports.default = (0, withStyles_1.default)(PlaylistCard_styles_1.default)(React.forwardRef(exports.PlaylistCard));
//# sourceMappingURL=PlaylistCard.js.map