"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const Icon_1 = __importDefault(require("../../../../core/Icon"));
const withStyles_1 = __importDefault(require("../../../../core/withStyles"));
const RemoveButton_styles_1 = __importDefault(require("./RemoveButton.styles"));
const RemoveButton = ({ classes, onClick, disabled, }) => ((0, jsx_runtime_1.jsx)("button", Object.assign({ className: (0, classnames_1.default)(classes.root, disabled && classes.disabled), onClick: onClick, disabled: disabled }, { children: (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: "trash" }, void 0) }), void 0));
exports.default = (0, withStyles_1.default)(RemoveButton_styles_1.default)(RemoveButton);
//# sourceMappingURL=RemoveButton.js.map