"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Icon_1 = __importDefault(require("../../../../core/Icon"));
const withStyles_1 = __importStar(require("../../../../core/withStyles"));
const createTheme_1 = __importDefault(require("../../../../theme/createTheme"));
const OAuthInput_1 = __importDefault(require("../OAuthInput"));
const styles = (0, withStyles_1.createStyles)({
    icon: {
        color: '#ffffff',
        display: 'flex',
        alignItems: 'center',
        '& > svg': {
            height: 24,
            width: 24,
        },
    },
});
const FacebookAuthInput = (_a) => {
    var { classes } = _a, props = __rest(_a, ["classes"]);
    return ((0, jsx_runtime_1.jsx)(OAuthInput_1.default, Object.assign({}, props, { theme: (outerTheme) => (0, createTheme_1.default)(Object.assign(Object.assign({}, outerTheme), { palette: Object.assign(Object.assign({}, outerTheme.palette), { primary: {
                    main: '#4267B2',
                    dark: '#35528E',
                    contrastText: '#ffffff',
                } }), button: Object.assign(Object.assign({}, outerTheme.button), { background: '#9BAED4', foregroundMuted: '#ffffff' }) })), label: "Connect to Facebook", icon: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.icon }, { children: (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: "facebook" }, void 0) }), void 0) }), void 0));
};
exports.default = (0, withStyles_1.default)(styles)(FacebookAuthInput);
//# sourceMappingURL=FacebookAuthInput.js.map