"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const TextField_1 = __importDefault(require("../../../../core/TextField"));
const TextInput = ({ label, value: defaultValue, constraints, helperText, error, disabled, onChange,
// onBlur,
 }) => {
    const [value, setValue] = React.useState(defaultValue);
    React.useEffect(() => {
        setValue(defaultValue);
    }, [defaultValue]);
    const handleBlur = React.useCallback(() => {
        onChange(value);
    }, [value, onChange]);
    return ((0, jsx_runtime_1.jsx)(TextField_1.default, { multiline: true, label: label, value: value, onChange: setValue, onBlur: handleBlur, helperText: helperText, error: error, disabled: disabled, maxLength: constraints.maxlength }, void 0));
};
exports.default = TextInput;
//# sourceMappingURL=TextInput.js.map