"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isPathEqual_1 = __importDefault(require("./isPathEqual"));
function getErrorAtPath(errors, path) {
    const error = errors.find((e) => (0, isPathEqual_1.default)(e.path, path));
    return error ? error.message : '';
}
exports.default = getErrorAtPath;
//# sourceMappingURL=getErrorAtPath.js.map