"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getValueAtPath_1 = __importDefault(require("./getValueAtPath"));
test('Should return root value for path', () => {
    const value = [{ string: 'string' }];
    const path = [0];
    expect((0, getValueAtPath_1.default)(value, path)).toEqual({ string: 'string' });
});
test('Should return nested value for path', () => {
    const value = [{ nestedItems: [{ string: 'string' }] }];
    const path = [0, 'nestedItems', 0];
    expect((0, getValueAtPath_1.default)(value, path)).toEqual({ string: 'string' });
});
//# sourceMappingURL=getValueAtPath.test.js.map