import * as React from 'react';
import { ApplicationVersion } from '../../application/ApplicationTypes';
import { PreviewMode } from '../PresentationTypes';
interface PresentationPreviewProps {
    previewMode?: string;
    appVersion?: ApplicationVersion;
    showBorder?: boolean;
    children?: React.ReactNode;
    onPreviewModeChange?: (previewMode: PreviewMode) => any;
}
declare const PresentationPreview: ({ appVersion, previewMode, showBorder, children, onPreviewModeChange, }: PresentationPreviewProps) => JSX.Element;
export default PresentationPreview;
