"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const moment_1 = __importDefault(require("moment"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const mixins_1 = require("../../mixins");
const Text_1 = __importDefault(require("../../typography/Text"));
const SequenceScheduleDay = ({ children, classes, date }) => ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [(0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.date }, { children: [(0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ center: true, nowrap: true }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.dayOfMonth }, { children: (0, moment_1.default)(date).format('DD') }), void 0) }), void 0), (0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ center: true, muted: true, nowrap: true }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.dayOfWeek }, { children: (0, moment_1.default)(date).format('ddd') }), void 0) }), void 0)] }), void 0), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.content }, { children: children }), void 0)] }), void 0));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign({ display: 'flex', paddingLeft: theme.spacing(2), paddingRight: theme.spacing(2) }, (0, mixins_1.marginBetweenChildrenHorizontal)(theme.spacing(1))),
    content: Object.assign({ flex: 1, paddingTop: theme.spacing(1), paddingBottom: theme.spacing(1) }, (0, mixins_1.marginBetweenChildrenVertical)(theme.spacing(1.5))),
    date: {
        width: theme.spacing(5),
    },
    dayOfMonth: {
        fontSize: theme.spacing(4.5),
        marginTop: 6,
        marginBottom: 2,
        fontWeight: 300,
        lineHeight: 1,
    },
    dayOfWeek: {
        textTransform: 'uppercase',
        fontWeight: 500,
    },
});
exports.default = (0, withStyles_1.default)(styles)(SequenceScheduleDay);
//# sourceMappingURL=SequenceScheduleDay.js.map