"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const moment_1 = __importDefault(require("moment"));
const React = __importStar(require("react"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const withVisibility_1 = __importDefault(require("../../internal/Scroll/withVisibility"));
const Heading2_1 = __importDefault(require("../../typography/Heading2"));
const SequenceScheduleContext_1 = require("./SequenceScheduleContext");
class SequenceScheduleMonth extends React.Component {
    componentDidUpdate() {
        const { date, isPartiallyVisible = false, setMonthVisibility = () => { }, } = this.props;
        setMonthVisibility((0, moment_1.default)(date).toDate(), isPartiallyVisible);
    }
    render() {
        const { children, classes, date } = this.props;
        return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ ref: this.props.visibleElementRef, className: classes.root }, { children: [(0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.header }, { children: (0, jsx_runtime_1.jsx)(Heading2_1.default, { children: (0, moment_1.default)(date).format('MMMM YYYY') }, void 0) }), void 0), children] }), void 0));
    }
}
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        marginTop: theme.spacing(2),
        marginBottom: theme.spacing(2),
    },
    header: {
        paddingLeft: theme.spacing(9),
        paddingRight: theme.spacing(2),
    },
});
exports.default = (0, SequenceScheduleContext_1.withSequenceScheduleContext)((0, withVisibility_1.default)((0, withStyles_1.default)(styles)(SequenceScheduleMonth)));
//# sourceMappingURL=SequenceScheduleMonth.js.map