"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const styles_1 = require("../../styles");
exports.default = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    root: {
        color: theme.palette.text.secondary,
        fontSize: theme.fontSizes.sm,
        fontWeight: 600,
        lineHeight: 1.26,
        letterSpacing: 2,
        textTransform: 'uppercase',
        marginTop: 0,
        marginBottom: theme.spacing(2),
    },
    overline: {
        padding: theme.spacing(0.5, 0),
        borderTop: `1px solid ${theme.divider.secondary}`,
    },
}));
//# sourceMappingURL=Heading5.styles.js.map