"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarInput = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Input_1 = __importDefault(require("@material-ui/core/Input"));
const InputAdornment_1 = __importDefault(require("@material-ui/core/InputAdornment"));
const withStyles_1 = __importDefault(require("../withStyles"));
const ActionBarInput_styles_1 = __importDefault(require("./ActionBarInput.styles"));
const ActionBarInput = ({ classes, icon, label, value, type, disabled, maxWidth, onClick, onChange, onBlur, }) => {
    return ((0, jsx_runtime_1.jsx)(Input_1.default, { fullWidth: true, className: classes.root, classes: {
            input: classes.input,
            underline: classes.underline,
        }, placeholder: label, value: value, type: type, disabled: disabled, style: { maxWidth }, onClick: onClick, onChange: (event) => {
            if (onChange) {
                onChange(event.target.value);
            }
        }, onBlur: onBlur, endAdornment: icon ? (0, jsx_runtime_1.jsx)(InputAdornment_1.default, Object.assign({ position: "end" }, { children: icon }), void 0) : null }, void 0));
};
exports.ActionBarInput = ActionBarInput;
exports.default = (0, withStyles_1.default)(ActionBarInput_styles_1.default)(exports.ActionBarInput);
//# sourceMappingURL=ActionBarInput.js.map