"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarSelectOption = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const MenuItem_1 = __importDefault(require("@material-ui/core/MenuItem"));
const withStyles_1 = __importDefault(require("../withStyles"));
const ActionBarAction_1 = __importDefault(require("./ActionBarAction"));
const ActionBarSelectOption_styles_1 = __importDefault(require("./ActionBarSelectOption.styles"));
const ActionBarSelectOption = ({ classes, icon, label, selected, disabled, onClick, }) => {
    return ((0, jsx_runtime_1.jsx)(MenuItem_1.default, Object.assign({ disabled: disabled, onClick: onClick, selected: selected, classes: {
            root: classes.root,
            selected: classes.selected,
        } }, { children: (0, jsx_runtime_1.jsx)(ActionBarAction_1.default, { icon: icon, label: label, disabled: disabled, selected: selected }, void 0) }), void 0));
};
exports.ActionBarSelectOption = ActionBarSelectOption;
exports.default = (0, withStyles_1.default)(ActionBarSelectOption_styles_1.default)(exports.ActionBarSelectOption);
//# sourceMappingURL=ActionBarSelectOption.js.map