"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarTitle = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const Heading1_1 = __importDefault(require("../../typography/Heading1"));
const Text_1 = __importDefault(require("../../typography/Text"));
const ActionBarTitle_styles_1 = __importDefault(require("./ActionBarTitle.styles"));
const ActionBarTitle = ({ classes, title, subtitle, }) => ((0, jsx_runtime_1.jsxs)("span", Object.assign({ className: classes.actionBarTitle }, { children: [(0, jsx_runtime_1.jsx)(Heading1_1.default, { children: (0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.title }, { children: title }), void 0) }, void 0), subtitle && ((0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.subtitle }, { children: (0, jsx_runtime_1.jsx)(Text_1.default, Object.assign({ muted: true }, { children: subtitle }), void 0) }), void 0))] }), void 0));
exports.ActionBarTitle = ActionBarTitle;
exports.default = (0, withStyles_1.default)(ActionBarTitle_styles_1.default)(exports.ActionBarTitle);
//# sourceMappingURL=ActionBarTitle.js.map