"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionBarAction = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ButtonBase_1 = __importDefault(require("@material-ui/core/ButtonBase"));
const classnames_1 = __importDefault(require("classnames"));
const React = __importStar(require("react"));
const ActionBarAction_styles_1 = __importDefault(require("./ActionBarAction.styles"));
const ActionBarAction = ({ className, color, variant, icon, label, fullWidth, selected, disabled, onClick, }, ref) => {
    const classes = (0, ActionBarAction_styles_1.default)();
    const labelEl = ((0, jsx_runtime_1.jsx)("span", Object.assign({ className: (0, classnames_1.default)(classes.label, selected && classes.labelSelected) }, { children: label }), void 0));
    return ((0, jsx_runtime_1.jsxs)(ButtonBase_1.default, Object.assign({ ref: ref, disableRipple: true, className: (0, classnames_1.default)(classes.root, disabled && classes.disabled, fullWidth && classes.fullWidth, variant === 'vertical' && classes.vertical, className), disabled: disabled, onClick: onClick }, { children: [icon && ((0, jsx_runtime_1.jsx)("span", Object.assign({ className: (0, classnames_1.default)(classes.icon, color && classes[color]) }, { children: icon }), void 0)), label && labelEl] }), void 0));
};
exports.ActionBarAction = ActionBarAction;
// @ts-ignore
exports.default = React.forwardRef(exports.ActionBarAction);
//# sourceMappingURL=ActionBarAction.js.map