"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    icon: {
        borderRadius: 100,
    },
    default: {
        color: theme.button.foreground,
        backgroundColor: theme.button.background,
        border: `2px solid ${theme.button.foreground}`,
    },
    error: {
        color: theme.palette.error.main,
        backgroundColor: '#fff',
        borderRadius: 100,
    },
    warning: {
        color: theme.palette.warning.main,
        backgroundColor: '#000',
        borderRadius: 100,
    },
});
exports.default = styles;
//# sourceMappingURL=AlertIcon.styles.js.map