"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LongCrumb = exports.MultipleCrumbs = exports.TwoCrumbs = exports.OneCrumb = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const constants_1 = require("../../../.storybook/constants");
const Breadcrumb_1 = __importStar(require("./Breadcrumb"));
exports.default = {
    title: 'Components/Breadcrumb',
    component: Breadcrumb_1.Breadcrumb,
    argTypes: Object.assign({}, constants_1.disabledArgTypes),
};
const Template = (args) => ((0, jsx_runtime_1.jsx)(Breadcrumb_1.default, Object.assign({}, args), void 0));
exports.OneCrumb = Template.bind({});
exports.OneCrumb.args = {
    children: ((0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, void 0)),
};
exports.TwoCrumbs = Template.bind({});
exports.TwoCrumbs.args = {
    children: [
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 2", onClick: () => console.log('Crumb 2') }, "Crumb 2"),
    ],
};
exports.MultipleCrumbs = Template.bind({});
exports.MultipleCrumbs.args = {
    children: [
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 2", onClick: () => console.log('Crumb 2') }, "Crumb 2"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 3", onClick: () => console.log('Crumb 3') }, "Crumb 3"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 4", onClick: () => console.log('Crumb 4') }, "Crumb 4"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 5", onClick: () => console.log('Crumb 5') }, "Crumb 5"),
    ],
};
exports.LongCrumb = Template.bind({});
exports.LongCrumb.args = {
    children: [
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 1", onClick: () => console.log('Crumb 1') }, "Crumb 1"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "SomeReallyLongCrumb", onClick: () => console.log('Crumb 2') }, "SomeReallyLongCrumb"),
        (0, jsx_runtime_1.jsx)(Breadcrumb_1.default.Crumb, { label: "Crumb 3", onClick: () => console.log('Crumb 3') }, "Crumb 3"),
    ],
};
//# sourceMappingURL=Breadcrumb.stories.js.map