"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    card: {
        backgroundColor: theme.palette.background.default,
        borderRadius: theme.borderRadius.xs,
        [theme.breakpoints.up('sm')]: {
            borderRadius: theme.borderRadius.md,
        },
    },
    fullWidth: {
        width: '100%',
    },
});
exports.default = styles;
//# sourceMappingURL=Card.styles.js.map