"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disabled = exports.Round = exports.Label = exports.Default = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const constants_1 = require("../../../.storybook/constants");
const Checkbox_1 = __importDefault(require("./Checkbox"));
exports.default = {
    title: 'Components/Checkbox',
    component: Checkbox_1.default,
    argTypes: Object.assign({}, constants_1.disabledArgTypes),
};
const Template = (args) => {
    const [checked, setChecked] = (0, react_1.useState)(false);
    return (0, jsx_runtime_1.jsx)(Checkbox_1.default, Object.assign({}, args, { checked: checked, onChange: setChecked }), void 0);
};
exports.Default = Template.bind({});
exports.Default.args = {};
exports.Label = Template.bind({});
exports.Label.args = {
    label: 'Basic checkbox',
};
exports.Round = Template.bind({});
exports.Round.args = {
    round: true,
};
exports.Disabled = Template.bind({});
exports.Disabled.args = {
    disabled: true,
};
//# sourceMappingURL=Checkbox.stories.js.map