"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Disabled = exports.Error = exports.RangeRestrictions = exports.Default = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const constants_1 = require("../../../.storybook/constants");
const Row_1 = __importDefault(require("../../layout/Row"));
const DateField_1 = __importDefault(require("./DateField"));
exports.default = {
    title: 'Components/DateField',
    component: DateField_1.default,
    argTypes: Object.assign({}, constants_1.disabledArgTypes),
};
const Template = (args) => {
    const [value, setValue] = (0, react_1.useState)(args.value);
    return ((0, jsx_runtime_1.jsx)(Row_1.default, Object.assign({ inline: true }, { children: (0, jsx_runtime_1.jsx)(DateField_1.default, Object.assign({}, args, { value: value, onChange: setValue }), void 0) }), void 0));
};
exports.Default = Template.bind({});
exports.Default.args = {};
exports.RangeRestrictions = Template.bind({});
exports.RangeRestrictions.args = {
    minDate: new Date(),
    maxDate: new Date(+new Date() + 1000 * 60 * 60 * 24 * 7),
    helperText: 'Pick a date within this week',
};
exports.Error = Template.bind({});
exports.Error.args = {
    error: true,
    helperText: 'Oops! Invalid date',
};
exports.Disabled = Template.bind({});
exports.Disabled.args = {
    disabled: true,
};
//# sourceMappingURL=DateField.stories.js.map