"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpansionPanel = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ExpansionPanel_1 = __importDefault(require("@material-ui/core/ExpansionPanel"));
const classnames_1 = __importDefault(require("classnames"));
const withThemeSelector_1 = __importDefault(require("../../core/withThemeSelector"));
const withStyles_1 = __importDefault(require("../withStyles"));
const ExpansionPanel_styles_1 = __importDefault(require("./ExpansionPanel.styles"));
const ExpansionPanelDetails_1 = __importDefault(require("./ExpansionPanelDetails"));
const ExpansionPanelSummary_1 = __importDefault(require("./ExpansionPanelSummary"));
const ExpansionPanel = ({ children, disabled = false, raised = false, onChange = () => {
    return;
}, classes, }) => {
    return ((0, jsx_runtime_1.jsx)(ExpansionPanel_1.default, Object.assign({ elevation: raised ? 1 : 0, disabled: disabled, onChange: onChange, TransitionProps: { unmountOnExit: true }, classes: {
            root: (0, classnames_1.default)(classes.expansionPanel),
        } }, { children: children }), void 0));
};
exports.ExpansionPanel = ExpansionPanel;
exports.default = Object.assign((0, withThemeSelector_1.default)((0, withStyles_1.default)(ExpansionPanel_styles_1.default)(exports.ExpansionPanel)), {
    Details: ExpansionPanelDetails_1.default,
    Summary: ExpansionPanelSummary_1.default,
});
//# sourceMappingURL=ExpansionPanel.js.map