"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const FormHelperText_1 = __importDefault(require("@material-ui/core/FormHelperText"));
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../withStyles"));
const InputHelperText_styles_1 = __importDefault(require("./InputHelperText.styles"));
const HelperText = ({ className, error, success, disabled, indent, children, classes, }) => ((0, jsx_runtime_1.jsx)(FormHelperText_1.default, Object.assign({ className: (0, classnames_1.default)(classes.root, indent && classes.indent, success && classes.success, className), classes: { error: classes.error }, error: error, disabled: disabled }, { children: children }), void 0));
exports.default = (0, withStyles_1.default)(InputHelperText_styles_1.default)(HelperText);
//# sourceMappingURL=InputHelperText.js.map