"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const InputLabel_styles_1 = __importDefault(require("./InputLabel.styles"));
const InputLabel = ({ className, disabled = false, error = false, children, }) => {
    const classes = (0, InputLabel_styles_1.default)();
    return ((0, jsx_runtime_1.jsx)("label", Object.assign({ className: (0, classnames_1.default)(className, classes.root, disabled && classes.disabled, error && classes.error) }, { children: children }), void 0));
};
exports.default = InputLabel;
//# sourceMappingURL=InputLabel.js.map