"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        color: theme.palette.text.link,
        fontSize: 'inherit',
        textDecoration: 'none',
        '&:hover': {
            textDecoration: 'underline',
        },
    },
    underline: {
        textDecoration: 'underline',
    },
    fullWidth: {
        display: 'block',
        width: '100%',
    },
    active: {
        fontWeight: 500,
    },
    disabled: {
        opacity: 0.5,
        cursor: 'default',
        '&:hover': {
            textDecoration: 'none',
        },
    },
});
exports.default = styles;
//# sourceMappingURL=Link.styles.js.map