"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuDrawer = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const Overlay_1 = __importDefault(require("../../internal/Overlay"));
const MenuDrawer_styles_1 = __importDefault(require("./MenuDrawer.styles"));
const MenuDrawer = ({ open, onOverlayClick, classes, children, }) => {
    // TODO: Animate drawer
    if (!open)
        return null;
    return ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Overlay_1.default, { onClick: onOverlayClick }, void 0), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.drawer }, { children: children }), void 0) }), void 0)] }, void 0));
};
exports.MenuDrawer = MenuDrawer;
exports.default = (0, withStyles_1.default)(MenuDrawer_styles_1.default)(exports.MenuDrawer);
//# sourceMappingURL=MenuDrawer.js.map