"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const MenuHeader_styles_1 = require("./MenuHeader.styles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign({ position: 'absolute', zIndex: theme.zIndex.menu, top: '100%', left: 0, right: 0, paddingBottom: theme.spacing(2), maxHeight: `calc(100vh - ${MenuHeader_styles_1.menuHeaderHeight}px)` }, (0, mixins_1.scrollable)()),
    drawer: {
        padding: theme.spacing(3, 0),
        backgroundColor: theme.palette.background.default,
        boxShadow: theme.modal.shadow,
    },
});
exports.default = styles;
//# sourceMappingURL=MenuDrawer.styles.js.map