"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MenuHeader = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const MenuHeader_styles_1 = __importDefault(require("./MenuHeader.styles"));
const MenuHeader = ({ shadow = false, maxWidth, classes, children, }) => {
    return ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, shadow && classes.shadow) }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.inner, style: { maxWidth } }, { children: children }), void 0) }), void 0));
};
exports.MenuHeader = MenuHeader;
exports.default = (0, withStyles_1.default)(MenuHeader_styles_1.default)(exports.MenuHeader);
//# sourceMappingURL=MenuHeader.js.map