"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const Checkbox_1 = __importDefault(require("../Checkbox"));
const withStyles_1 = __importDefault(require("../withStyles"));
const MultiSelectFieldOption_styles_1 = __importDefault(require("./MultiSelectFieldOption.styles"));
const MultiSelectFieldOption = ({ value, label, rightLabel, selectable = false, disabled = false, checked = false, selected = false, onClick = () => { }, onSelect, classes, }) => ((0, jsx_runtime_1.jsx)("button", Object.assign({ className: (0, classnames_1.default)(classes.root, disabled && classes.disabled), onClick: (e) => {
        e.preventDefault();
        if (onSelect) {
            onSelect({ value, label, rightLabel });
        }
        else {
            onClick();
        }
    }, disabled: disabled }, { children: (0, jsx_runtime_1.jsx)(Checkbox_1.default, { className: classes.checkboxLabel, disabled: disabled, checked: checked, label: (0, jsx_runtime_1.jsxs)("span", Object.assign({ className: (0, classnames_1.default)(classes.label, {
                [classes.selected]: selected,
                [classes.labelButton]: checked && selectable && !disabled,
            }) }, { children: [(0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.leftLabel }, { children: label || (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: "\u00A0" }, void 0) }), void 0), rightLabel && ((0, jsx_runtime_1.jsx)("span", Object.assign({ className: classes.rightLabel }, { children: rightLabel }), void 0))] }), void 0), onCheckboxClick: onSelect &&
            ((e) => {
                e.stopPropagation();
                onClick();
            }) }, void 0) }), void 0));
exports.default = (0, withStyles_1.default)(MultiSelectFieldOption_styles_1.default)(MultiSelectFieldOption);
//# sourceMappingURL=MultiSelectFieldOption.js.map