"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const SwapVert_1 = __importDefault(require("@material-ui/icons/SwapVert"));
const SwapVertReverse_1 = __importDefault(require("../../icons/SwapVertReverse"));
const v2_1 = __importDefault(require("../ActionBar/v2"));
const MultiSelectFieldSortSelect = ({ sortMode, sortOption, onSelect, }) => {
    const selected = sortMode &&
        sortMode.by === sortOption.by &&
        sortMode.label === sortOption.label;
    const isReverted = selected
        ? sortMode.isReverseSort
        : sortOption.defaultDirection === 'desc';
    const sortLabel = sortOption && sortOption.label;
    if (!sortLabel) {
        return null;
    }
    return ((0, jsx_runtime_1.jsx)(v2_1.default.SelectOption, { label: sortLabel, icon: isReverted ? (0, jsx_runtime_1.jsx)(SwapVertReverse_1.default, {}, void 0) : (0, jsx_runtime_1.jsx)(SwapVert_1.default, {}, void 0), selected: selected, onClick: () => {
            onSelect({
                label: sortOption.label,
                by: sortOption.by,
                type: sortOption.type,
                isReverseSort: selected
                    ? !sortMode.isReverseSort
                    : sortOption.defaultDirection === 'desc',
            });
        } }, void 0));
};
exports.default = MultiSelectFieldSortSelect;
//# sourceMappingURL=MultiSelectFieldSortSelect.js.map