"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberField = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const styles_1 = require("../../styles");
const InputHelperText_1 = __importDefault(require("../InputHelperText"));
const InputLabel_1 = __importDefault(require("../InputLabel"));
const Input_1 = __importDefault(require("../Input"));
const useStyles = (0, styles_1.makeStyles)((_) => (0, styles_1.createStyles)({
    root: {
        width: '100%',
    },
}));
const NumberField = ({ label, value = null, min = undefined, max = undefined, error = false, disabled = false, helperText = '', onChange = () => {
    return;
}, onBlur = () => {
    return;
}, }) => {
    const classes = useStyles();
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root }, { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsx)(Input_1.default, { type: "number", value: value !== null ? String(value) : '', onBlur: onBlur, onChange: (v) => onChange(parseInt(v, 10)), disabled: disabled, error: error, min: min, max: max }, void 0), helperText && ((0, jsx_runtime_1.jsx)(InputHelperText_1.default, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
exports.NumberField = NumberField;
exports.default = exports.NumberField;
//# sourceMappingURL=NumberField.js.map