"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaperModalClose = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Close_1 = __importDefault(require("@material-ui/icons/Close"));
const classnames_1 = __importDefault(require("classnames"));
const styles_1 = require("../../styles");
const mixins_1 = require("../../mixins");
const PaperModalClose = ({ className, onClick, }) => {
    const classes = useStyles();
    return ((0, jsx_runtime_1.jsxs)("button", Object.assign({ className: (0, classnames_1.default)(classes.root, className), onClick: onClick }, { children: ["Close", (0, jsx_runtime_1.jsx)(Close_1.default, {}, void 0)] }), void 0));
};
exports.PaperModalClose = PaperModalClose;
const useStyles = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    root: Object.assign(Object.assign({}, (0, mixins_1.buttonReset)()), { display: 'flex', flexDirection: 'row', alignItems: 'center', fontWeight: 600, lineHeight: 1.11, letterSpacing: 1.42, textTransform: 'uppercase', fontSize: theme.fontSizes.xxs, padding: theme.spacing(0.75, 4), paddingBottom: 0, color: theme.palette.text.secondary, opacity: 0.5, '&:hover, &:focus': {
            opacity: 1,
        }, '& svg': {
            fontSize: 20,
        }, [theme.breakpoints.down('xs')]: {
            padding: theme.spacing(1),
        } }),
}));
exports.default = exports.PaperModalClose;
//# sourceMappingURL=PaperModalClose.js.map