"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const withStyles_1 = __importStar(require("../withStyles"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        flexShrink: 0,
        backgroundColor: theme.palette.background.default,
        padding: theme.spacing(2),
        minHeight: 56,
        display: 'flex',
        alignItems: 'center',
        borderBottom: `1px solid ${theme.palette.action.selected}`,
    },
});
const Header = (props) => {
    const { children, classes } = props;
    return (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: children }), void 0);
};
exports.default = (0, withStyles_1.default)(styles)(Header);
//# sourceMappingURL=Header.js.map