"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrimaryActionButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Fab_1 = __importDefault(require("@material-ui/core/Fab"));
const classnames_1 = __importDefault(require("classnames"));
const Icon_1 = __importDefault(require("../Icon"));
const withStyles_1 = __importDefault(require("../withStyles"));
const PrimaryActionButton_styles_1 = __importDefault(require("./PrimaryActionButton.styles"));
const PrimaryActionButton = ({ icon, label, size = 'medium', color = 'default', onClick, classes, }) => {
    return ((0, jsx_runtime_1.jsxs)("label", Object.assign({ className: classes.root, onClick: onClick }, { children: [(0, jsx_runtime_1.jsx)(Fab_1.default, Object.assign({ size: size, className: (0, classnames_1.default)(color === 'default' && classes.default, color === 'primary' && classes.primary, color === 'destructive' && classes.destructive, color === 'progress' && classes.progress) }, { children: (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: icon }, void 0) }), void 0), label && (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.label }, { children: label }), void 0)] }), void 0));
};
exports.PrimaryActionButton = PrimaryActionButton;
exports.default = (0, withStyles_1.default)(PrimaryActionButton_styles_1.default)(exports.PrimaryActionButton);
//# sourceMappingURL=PrimaryActionButton.js.map