"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RadioGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const FormControl_1 = __importDefault(require("@material-ui/core/FormControl"));
const FormLabel_1 = __importDefault(require("@material-ui/core/FormLabel"));
const RadioGroup_1 = __importDefault(require("@material-ui/core/RadioGroup"));
const classnames_1 = __importDefault(require("classnames"));
const helpers_1 = require("../../helpers");
const withStyles_1 = __importStar(require("../withStyles"));
const RadioGroupOption_1 = __importDefault(require("./RadioGroupOption"));
const RadioGroup = ({ label = '', value, inline, onChange, children, classes, testId, }) => ((0, jsx_runtime_1.jsxs)(FormControl_1.default, { children: [label && ((0, jsx_runtime_1.jsx)(FormLabel_1.default, Object.assign({ component: "legend", classes: { root: classes.label } }, { children: label }), void 0)), (0, jsx_runtime_1.jsx)(RadioGroup_1.default, Object.assign({ value: value, onChange: (_, updatedValue) => {
                if (onChange) {
                    onChange(updatedValue);
                }
            }, classes: { root: (0, classnames_1.default)(classes.group, inline && classes.inline) } }, (0, helpers_1.testAttr)(testId), { children: children }), void 0)] }, void 0));
exports.RadioGroup = RadioGroup;
const styles = (theme) => (0, withStyles_1.createStyles)({
    label: {
        fontSize: theme.fontSizes.sm,
        color: theme.palette.text.secondary,
    },
    inline: {
        flexDirection: 'row',
        flexWrap: 'nowrap',
    },
    group: {
        paddingTop: theme.spacing(0.5),
        paddingBottom: theme.spacing(0.5),
    },
});
exports.default = Object.assign((0, withStyles_1.default)(styles)(exports.RadioGroup), {
    Option: RadioGroupOption_1.default,
});
//# sourceMappingURL=RadioGroup.js.map