"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectField = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const InputHelperText_1 = __importDefault(require("../InputHelperText"));
const InputLabel_1 = __importDefault(require("../InputLabel"));
const Select_1 = __importDefault(require("../Select"));
const SelectFieldItem_1 = __importDefault(require("./SelectFieldItem"));
const SelectField_styles_1 = __importDefault(require("./SelectField.styles"));
const SelectField = ({ label, value = '', error = false, disabled = false, helperText = '', onChange = () => {
    return;
}, onBlur = () => {
    return;
}, children, testId, native = true, maxWidth, displayEmpty, renderValue, }) => {
    const classes = (0, SelectField_styles_1.default)();
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root, style: { maxWidth } }, { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsx)(Select_1.default, Object.assign({ fullWidth: true, value: value, disabled: disabled, onChange: onChange, onBlur: onBlur, testId: testId, native: native, displayEmpty: displayEmpty, renderValue: renderValue }, { children: children }), void 0), helperText && ((0, jsx_runtime_1.jsx)(InputHelperText_1.default, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
exports.SelectField = SelectField;
exports.default = Object.assign(exports.SelectField, {
    Item: SelectFieldItem_1.default,
});
//# sourceMappingURL=SelectField.js.map