"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tab = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const helpers_1 = require("../../helpers");
const Icon_1 = __importDefault(require("../Icon"));
const withStyles_1 = __importDefault(require("../withStyles"));
const TabItem_styles_1 = __importDefault(require("./TabItem.styles"));
const Tab = ({ label, icon, href, active, shrink, onClick, testId, classes, }) => {
    const TabElement = (href ? 'a' : 'button');
    return ((0, jsx_runtime_1.jsxs)(TabElement, Object.assign({ className: (0, classnames_1.default)(classes.root, active && classes.active, shrink && classes.shrink), href: href, onClick: onClick && (0, helpers_1.preventDefault)(onClick) }, (0, helpers_1.testAttr)(testId), { children: [icon && (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: icon, className: classes.icon }, void 0), (0, jsx_runtime_1.jsx)("span", Object.assign({ className: (0, classnames_1.default)(classes.label, !icon && classes.labelNoIcon) }, { children: label }), void 0)] }), void 0));
};
exports.Tab = Tab;
exports.default = (0, withStyles_1.default)(TabItem_styles_1.default)(exports.Tab);
//# sourceMappingURL=TabItem.js.map