"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tabs = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const withThemeSelector_1 = __importDefault(require("../../core/withThemeSelector"));
const withStyles_1 = __importDefault(require("../withStyles"));
const TabItem_1 = __importDefault(require("./TabItem"));
const Tabs_styles_1 = __importDefault(require("./Tabs.styles"));
const Tabs = ({ children, classes, inline, }) => ((0, jsx_runtime_1.jsx)("div", Object.assign({ className: (0, classnames_1.default)(classes.root, inline && classes.inline) }, { children: children }), void 0));
exports.Tabs = Tabs;
exports.default = Object.assign((0, withThemeSelector_1.default)((0, withStyles_1.default)(Tabs_styles_1.default)(exports.Tabs)), {
    Item: TabItem_1.default,
});
//# sourceMappingURL=Tabs.js.map