"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextField = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const InputHelperText_1 = __importDefault(require("../InputHelperText"));
const InputLabel_1 = __importDefault(require("../InputLabel"));
const Input_1 = __importDefault(require("../Input"));
const TextField_styles_1 = __importDefault(require("./TextField.styles"));
const TextField = ({ label, value = '', type = 'text', placeholder, readOnly = false, error = false, disabled = false, maxWidth, maxLength, multiline = false, multilineHeight, autoFocus = false, helperText = '', icon = null, mask, maskGuide = false, maskPlaceholderChar = '_', keepCharPositions = false, pipe, onChange, onBlur, onFocus, onClick, testId, }, ref) => {
    const classes = (0, TextField_styles_1.default)();
    return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: classes.root, style: { maxWidth } }, { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsx)(Input_1.default, { ref: ref, type: type, readOnly: readOnly, placeholder: placeholder, icon: icon, multiline: multiline, multilineHeight: multilineHeight, mask: mask, maskGuide: maskGuide, maskPlaceholderChar: maskPlaceholderChar, keepCharPositions: keepCharPositions, pipe: pipe, value: value, maxLength: maxLength, onBlur: onBlur, onFocus: onFocus, autoFocus: autoFocus, onChange: onChange, onClick: onClick, disabled: disabled, error: error, testId: testId }, void 0), helperText && ((0, jsx_runtime_1.jsx)(InputHelperText_1.default, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }), void 0));
};
exports.TextField = TextField;
// @ts-ignore
exports.default = React.forwardRef(exports.TextField);
//# sourceMappingURL=TextField.js.map