"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleButtonGroupButton = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const ToggleButton_1 = __importDefault(require("@material-ui/lab/ToggleButton"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const Icon_1 = __importDefault(require("../Icon"));
const ToggleButtonGroupButton = (props) => {
    const { value, children, icon, disabled } = props;
    const iconElement = typeof icon === 'string' ? (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: icon }, void 0) : icon;
    return ((0, jsx_runtime_1.jsx)(ToggleButton_1.default, Object.assign({}, props, { value: value, disabled: disabled }, { children: icon ? iconElement : children }), void 0));
};
exports.ToggleButtonGroupButton = ToggleButtonGroupButton;
const styles = () => (0, withStyles_1.createStyles)({
    root: {
        flexGrow: 1,
        flexBasis: 0,
        minWidth: 40,
        textTransform: 'none',
        '&:disabled': {
            cursor: 'not-allowed',
            pointerEvents: 'auto',
        },
    },
});
exports.default = (0, withStyles_1.default)(styles)(exports.ToggleButtonGroupButton);
//# sourceMappingURL=ToggleButtonGroupButton.js.map