"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const hasMissingChildValue = (prevChildren, nextChildren) => {
    if (prevChildren.length !== nextChildren.length)
        return true;
    return prevChildren.some((child) => {
        const nextChildWithValue = nextChildren.find((nextChild) => nextChild.props.value === child.props.value);
        return !nextChildWithValue;
    });
};
exports.default = hasMissingChildValue;
//# sourceMappingURL=hasMissingChildValue.js.map