"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pluralize = exports.pluralizeWithCount = void 0;
const pluralizeWithCount = (word, count) => `${count} ${(0, exports.pluralize)(word, count)}`;
exports.pluralizeWithCount = pluralizeWithCount;
const pluralize = (word, count) => `${count === 1 ? word : `${word}s`}`;
exports.pluralize = pluralize;
exports.default = exports.pluralizeWithCount;
//# sourceMappingURL=pluralize.js.map