"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const InputLabel_1 = __importDefault(require("@material-ui/core/InputLabel"));
const withStyles_1 = __importDefault(require("../../core/withStyles"));
const InputLabel_styles_1 = __importDefault(require("./InputLabel.styles"));
const InputLabel = ({ disabled = false, error = false, children, classes, shrink, }) => ((0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ disabled: disabled, error: error, classes: {
        root: classes.root,
        shrink: classes.shrink,
        focused: classes.focused,
        error: classes.error,
        disabled: classes.disabled,
    }, shrink: shrink }, { children: children }), void 0));
exports.default = (0, withStyles_1.default)(InputLabel_styles_1.default)(InputLabel);
//# sourceMappingURL=InputLabel.js.map