"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const rafThrottle_1 = __importDefault(require("../../helpers/rafThrottle"));
const ScrollContext_1 = __importDefault(require("./ScrollContext"));
const withScrollProvider = (Component) => class extends React.Component {
    constructor() {
        super(...arguments);
        this.ref = React.createRef();
        this.state = {
            scrollTop: 0,
            scrollLeft: 0,
            offsetHeight: 0,
            offsetWidth: 0,
        };
        this.updateScrollState = (0, rafThrottle_1.default)((scrollTop, scrollLeft, offsetHeight, offsetWidth) => {
            this.setState({
                scrollTop,
                scrollLeft,
                offsetHeight,
                offsetWidth,
            });
        });
        this.handleScroll = ({ currentTarget: { scrollTop, scrollLeft, offsetHeight, offsetWidth }, }) => 
        // @ts-ignore
        this.updateScrollState(scrollTop, scrollLeft, offsetHeight, offsetWidth);
    }
    render() {
        const { scrollTop, scrollLeft, offsetHeight, offsetWidth } = this.state;
        return ((0, jsx_runtime_1.jsx)(ScrollContext_1.default.Provider, Object.assign({ value: {
                scrollTop,
                scrollLeft,
                offsetHeight,
                offsetWidth,
            } }, { children: (0, jsx_runtime_1.jsx)(Component, Object.assign({ onScroll: this.handleScroll }, this.props), void 0) }), void 0));
    }
};
exports.default = withScrollProvider;
//# sourceMappingURL=withScrollProvider.js.map