"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const styles = (theme) => (0, withStyles_1.createStyles)({
    select: {
        width: '100%',
        boxSizing: 'border-box',
        paddingRight: 32,
        '&:focus': {
            color: theme.input.foreground,
            backgroundColor: 'transparent',
        },
    },
});
exports.default = styles;
//# sourceMappingURL=Select.styles.js.map