"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign(Object.assign({ display: 'flex', flexDirection: 'column', width: '100%', minHeight: 0 }, (0, mixins_1.marginBetweenChildrenVertical)(theme.spacing(1))), { '& > *': {
            flexShrink: 0,
        } }),
    clickable: {
        cursor: 'pointer',
    },
    inline: {
        display: 'inline-flex',
        width: 'auto',
    },
    doubleMargin: Object.assign({}, (0, mixins_1.marginBetweenChildrenVertical)(theme.spacing(2))),
});
exports.default = styles;
//# sourceMappingURL=Column.styles.js.map