"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../core/withStyles");
const mixins_1 = require("../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        width: theme.spacing(18),
        [theme.breakpoints.up('sm')]: {
            width: theme.spacing(24),
        },
    },
    noShrink: {
        width: theme.spacing(24),
    },
    thumbnail: {
        boxShadow: theme.shadows[3],
    },
    name: Object.assign({ marginTop: theme.spacing(1), fontSize: theme.fontSizes.sm, textAlign: 'center' }, (0, mixins_1.textTruncate)()),
});
exports.default = styles;
//# sourceMappingURL=PlaylistCard.styles.js.map