"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const classnames_1 = __importDefault(require("classnames"));
const Icon_1 = __importDefault(require("../../../../core/Icon"));
const withStyles_1 = __importDefault(require("../../../../core/withStyles"));
const AddButton_styles_1 = __importDefault(require("./AddButton.styles"));
const AddButton = ({ classes, label, disabled, onClick, }) => ((0, jsx_runtime_1.jsxs)("button", Object.assign({ className: (0, classnames_1.default)(classes.root, disabled && classes.disabled), onClick: onClick, disabled: disabled }, { children: [(0, jsx_runtime_1.jsx)(Icon_1.default, { icon: "add" }, void 0), label] }), void 0));
exports.default = (0, withStyles_1.default)(AddButton_styles_1.default)(AddButton);
//# sourceMappingURL=AddButton.js.map