"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const withStyles_1 = require("../../../../core/withStyles");
const mixins_1 = require("../../../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign(Object.assign({}, (0, mixins_1.buttonReset)()), { width: '100%', display: 'flex', flexDirection: 'column', alignItems: 'center', marginTop: theme.spacing(2), padding: theme.spacing(2), borderRadius: theme.borderRadius.sm, border: `1px solid ${theme.button.border}`, '& > svg': {
            marginBottom: theme.spacing(0.5),
        } }),
    disabled: {
        opacity: 0.5,
        cursor: 'not-allowed',
    },
});
exports.default = styles;
//# sourceMappingURL=AddButton.styles.js.map