"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const FakeFile_1 = __importDefault(require("./FakeFile"));
class FakeFileList {
    constructor() {
        this.files = [];
    }
    add(filename) {
        this.files.push(new FakeFile_1.default(filename));
    }
    item(index) {
        return this.files[index];
    }
    get length() {
        return this.files.length;
    }
    [Symbol.iterator]() {
        return this.files.values();
    }
}
exports.default = FakeFileList;
//# sourceMappingURL=FakeFileList.js.map