"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
class EmbeddedFrame extends React.Component {
    constructor() {
        super(...arguments);
        this.isValidMessage = (event) => event.data &&
            typeof event.data === 'object' &&
            event.data.namespace === 'raydiant-dash';
        this.receiveMessage = (event) => {
            if (!this.isValidMessage(event))
                return;
            const { type, payload } = event.data;
            this.props.onMessage(type, payload);
        };
    }
    componentDidMount() {
        window.addEventListener('message', this.receiveMessage, false);
    }
    componentWillUnmount() {
        window.removeEventListener('message', this.receiveMessage);
    }
    render() {
        const { src } = this.props;
        return ((0, jsx_runtime_1.jsx)("iframe", { title: "embedded-frame", src: src, style: { width: '100%', height: '100%', border: 0 } }, void 0));
    }
}
EmbeddedFrame.defaultProps = {};
exports.default = EmbeddedFrame;
//# sourceMappingURL=EmbeddedFrame.js.map