"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
const Edit_1 = __importDefault(require("@material-ui/icons/Edit"));
const AddCircle_1 = __importDefault(require("@material-ui/icons/AddCircle"));
const Tooltip_1 = __importDefault(require("@material-ui/core/Tooltip"));
const styles_1 = require("../../../../styles");
const InputHelperText_1 = __importDefault(require("../../../../core/InputHelperText"));
const InputLabel_1 = __importDefault(require("../../../../core/InputLabel"));
const Select_1 = __importDefault(require("../../../../core/Select"));
const v2_1 = __importDefault(require("../../../../core/ActionBar/v2"));
const ManageMultiple_1 = __importDefault(require("../../../../icons/ManageMultiple"));
const useStyles = (0, styles_1.makeStyles)((theme) => (0, styles_1.createStyles)({
    actions: {
        marginBottom: theme.spacing(1),
    },
}));
const ThemeInput = ({ label, value, themeOptions, helperText, error, disabled, addDisabled, addDisabledMessage, onChange, onEdit, onManage, onAdd, }) => {
    const classes = useStyles();
    return ((0, jsx_runtime_1.jsxs)("div", { children: [(0, jsx_runtime_1.jsx)(InputLabel_1.default, Object.assign({ error: error, disabled: disabled }, { children: label }), void 0), (0, jsx_runtime_1.jsxs)(v2_1.default, Object.assign({ className: classes.actions }, { children: [(0, jsx_runtime_1.jsx)(v2_1.default.Action, { icon: (0, jsx_runtime_1.jsx)(Edit_1.default, {}, void 0), disabled: !onEdit, onClick: () => onEdit && onEdit(value) }, void 0), (0, jsx_runtime_1.jsx)(v2_1.default.Action, { icon: (0, jsx_runtime_1.jsx)(ManageMultiple_1.default, {}, void 0), onClick: onManage }, void 0), addDisabled ? ((0, jsx_runtime_1.jsx)(Tooltip_1.default, Object.assign({ title: addDisabledMessage || '', arrow: true }, { children: (0, jsx_runtime_1.jsx)("span", { children: (0, jsx_runtime_1.jsx)(v2_1.default.Action, { icon: (0, jsx_runtime_1.jsx)(AddCircle_1.default, {}, void 0), onClick: onAdd, disabled: addDisabled }, void 0) }, void 0) }), void 0)) : ((0, jsx_runtime_1.jsx)(v2_1.default.Action, { icon: (0, jsx_runtime_1.jsx)(AddCircle_1.default, {}, void 0), onClick: onAdd }, void 0))] }), void 0), (0, jsx_runtime_1.jsx)(Select_1.default, Object.assign({ fullWidth: true, value: value, onChange: onChange, disabled: disabled, native: false }, { children: themeOptions }), void 0), helperText && ((0, jsx_runtime_1.jsx)(InputHelperText_1.default, Object.assign({ indent: true, error: error, disabled: disabled }, { children: helperText }), void 0))] }, void 0));
};
exports.default = ThemeInput;
//# sourceMappingURL=ThemeInput.js.map