"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const getCrumbsFromPath_1 = __importDefault(require("./getCrumbsFromPath"));
test('Returns crumbs for path', () => {
    expect((0, getCrumbsFromPath_1.default)(['a', 'b', 0, 'c', 1, 'd', 2])).toEqual([
        ['a', 'b', 0],
        ['a', 'b', 0, 'c', 1],
        ['a', 'b', 0, 'c', 1, 'd', 2],
    ]);
});
test('Returns empty crumbs for empty path', () => {
    expect((0, getCrumbsFromPath_1.default)([])).toEqual([]);
});
//# sourceMappingURL=getCrumbsFromPath.test.js.map