"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduleContentPopover = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Popover_1 = __importDefault(require("../../core/Popover"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const ScheduleContentPopoverItem_1 = __importDefault(require("./ScheduleContentPopoverItem"));
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: {
        width: theme.spacing(44),
        display: 'flex',
        flexWrap: 'wrap',
    },
});
const ScheduleContentPopover = ({ open, onClose, children, classes, }) => ((0, jsx_runtime_1.jsx)(Popover_1.default, Object.assign({ anchor: ['bottom', 'right'], to: ['top', 'right'], open: open, onOverlayClick: onClose, width: "auto", height: "auto", color: "light" }, { children: (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.root }, { children: children }), void 0) }), void 0));
exports.ScheduleContentPopover = ScheduleContentPopover;
exports.default = Object.assign((0, withStyles_1.default)(styles)(exports.ScheduleContentPopover), {
    Item: ScheduleContentPopoverItem_1.default,
});
//# sourceMappingURL=ScheduleContentPopover.js.map