"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduleContentPopoverItem = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const Icon_1 = __importDefault(require("../../core/Icon"));
const withStyles_1 = __importStar(require("../../core/withStyles"));
const mixins_1 = require("../../mixins");
const styles = (theme) => (0, withStyles_1.createStyles)({
    root: Object.assign(Object.assign({}, (0, mixins_1.buttonReset)()), { width: theme.spacing(22), height: theme.spacing(15.875), display: 'flex', flexDirection: 'column', alignItems: 'center', justifyContent: 'center', borderTop: `1px solid ${theme.button.border}`, borderRight: `1px solid ${theme.button.border}`, borderBottom: `1px solid transparent`, borderLeft: `1px solid transparent`, cursor: 'pointer', '&:nth-child(-n+2)': {
            borderTop: `1px solid transparent`,
        }, '&:nth-child(2n)': {
            borderRight: `1px solid transparent`,
        } }),
    icon: {
        marginBottom: theme.spacing(1),
    },
    label: {
        fontSize: theme.fontSizes.sm,
        fontWeight: 500,
        color: theme.palette.text.primary,
    },
    description: {
        fontSize: theme.fontSizes.xs,
        color: theme.palette.text.secondary,
    },
});
const ScheduleContentPopoverItem = ({ icon, label, description, classes, onClick }) => ((0, jsx_runtime_1.jsxs)("button", Object.assign({ className: classes.root, onClick: onClick }, { children: [icon && (0, jsx_runtime_1.jsx)(Icon_1.default, { icon: icon, className: classes.icon }, void 0), ' ', (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.label }, { children: label }), void 0), (0, jsx_runtime_1.jsx)("div", Object.assign({ className: classes.description }, { children: description || (0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: "\u00A0" }, void 0) }), void 0)] }), void 0));
exports.ScheduleContentPopoverItem = ScheduleContentPopoverItem;
exports.default = (0, withStyles_1.default)(styles)(exports.ScheduleContentPopoverItem);
//# sourceMappingURL=ScheduleContentPopoverItem.js.map